(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    141789,       2747]*)
(*NotebookOutlinePosition[    142454,       2770]*)
(*  CellTagsIndexPosition[    142410,       2766]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(SetDirectory["\<d:\\demolattices\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\demolattices\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<LaxPairLattices.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code for computation of Lax pairs (version of July 5, \
2009)"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]1\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  1) discrete potential KdV Equation (l_pKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  2) discrete modified KdV Equation  (l_mKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  3) discrete sine-Gordon Equation (l_sG.m)"\)], "Print"],

Cell[BoxData[
    \("  4) H1 equation (ABS classification) (l_H1.m)"\)], "Print"],

Cell[BoxData[
    \("  5) H2 equation (ABS classification) (l_H2.m)"\)], "Print"],

Cell[BoxData[
    \("  6) H3 equation (delta not 0) (ABS classification) (l_H3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  7) H3 equation (delta = 0) (ABS classification) (l_H3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  8) Q1 equation (delta not 0) (ABS classification) (l_Q1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  9) Q1 equation (delta = 0) (ABS classification) (l_Q1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  10) Q2 equation (ABS classification) (l_Q2.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  11) Q3 equation (delta not 0) (ABS classification) (l_Q3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  12) Q3 equation (delta = 0) (ABS classification) (l_Q3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  13) A1 equation (delta not 0) (ABS classification) (l_A1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  14) A1 equation (delta = 0) (ABS classification) (l_A1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  15) A2 equation (ABS classification) (l_A2.m)"\)], "Print"],

Cell[BoxData[
    \("  16) (alpha,beta) equation (l_abeq.m)"\)], "Print"],

Cell[BoxData[
    \("  17) discrete sine-Gordon Equation (testing parameters) \
(l_sGpar.m)"\)], "Print"],

Cell[BoxData[
    \("  18) discrete generalized modified KdV Equation (l_gmKdV.m)"\)], \
"Print"],

Cell[BoxData[
    \("  19) Q2 equation with more general terms (l_Q2rhs3.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("         WELCOME TO THE MATHEMATICA PROGRAM              "\)], "Print"],

Cell[BoxData[
    \("                  by WILLY HEREMAN                       "\)], "Print"],

Cell[BoxData[
    \("     FOR THE COMPUTATION OF LAX PAIRS OF NONLINEAR       "\)], "Print"],

Cell[BoxData[
    \("  PARTIAL DIFFERENCE EQUATIONS IN 2D (ON QUAD-GRAPHS)    "\)], "Print"],

Cell[BoxData[
    \(" Collaborators: Reinout Quispel and Peter van der Kamp   "\)], "Print"],

Cell[BoxData[
    \("           First released on July 22, 2008               "\)], "Print"],

Cell[BoxData[
    \("           Last updated: July 5, 2009                    "\)], "Print"],

Cell[BoxData[
    \("                    Copyright 2008                       "\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the discrete "\[InvisibleSpace]Q3rhs\
\[InvisibleSpace]" equation:"\),
      SequenceForm[ "Working with the discrete ", Q3rhs, " equation:"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-delta\^2\)\ \((\(-1\) + p\^2)\)\ \((p\^2 - q\^2)\)\ \((\(-1\) + 
              q\^2)\) + 
        4\ p\ q\ \((\(-p\)\ \((\(-1\) + q\^2)\)\ \((x1\ x12 + 
                    x\ x2)\) + \((\(-p\^2\) + q\^2)\)\ \((x\ x12 + 
                    x1\ x2)\) + \((\(-1\) + p\^2)\)\ q\ \((x\ x1 + 
                    x12\ x2)\))\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("********************** CONTROL SETTINGS *************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("LaxPairGiven (L and M are given in data file) is set \
to "\[InvisibleSpace]False\),
      SequenceForm[ 
      "LaxPairGiven (L and M are given in data file) is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("t and s are given in data file (byhand) is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ 
      "t and s are given in data file (byhand) is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Determinant method to compute t and s is set to: "\
\[InvisibleSpace]True\),
      SequenceForm[ 
      "Determinant method to compute t and s is set to: ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Test consistency on cube is set to \
"\[InvisibleSpace]True\),
      SequenceForm[ "Test consistency on cube is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of powerexpand is set to \
"\[InvisibleSpace]True\),
      SequenceForm[ "Use of powerexpand is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of rootrules is set to "\[InvisibleSpace]True\),
      SequenceForm[ "Use of rootrules is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of matrix N is set to: \
"\[InvisibleSpace]False\),
      SequenceForm[ "Computation of matrix N is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Application of gauge transformation is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ "Application of gauge transformation is set to: ", False],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \("******************* START OF THE COMPUTATION ************************"\
\)], "Print"],

Cell[BoxData[
    \("Working with lattice defined on front (F), latticefront:"\)], "Print"],

Cell[BoxData[
    \(\(-delta\^2\)\ \((\(-1\) + p\^2)\)\ \((p\^2 - q\^2)\)\ \((\(-1\) + 
              q\^2)\) + 
        4\ p\ q\ \((\(-p\)\ \((\(-1\) + q\^2)\)\ \((x1\ x12 + 
                    x\ x2)\) + \((\(-p\^2\) + q\^2)\)\ \((x\ x12 + 
                    x1\ x2)\) + \((\(-1\) + p\^2)\)\ q\ \((x\ x1 + 
                    x12\ x2)\))\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Lattice on ground (G), latticeground:"\)], "Print"],

Cell[BoxData[
    \(\(-delta\^2\)\ \((\(-1\) + k\^2)\)\ \((\(-1\) + p\^2)\)\ \((\(-k\^2\) + 
              p\^2)\) + 
        4\ k\ p\ \((\(-\((\(-1\) + k\^2)\)\)\ p\ \((x1\ x13 + 
                    x\ x3)\) + \((k\^2 - p\^2)\)\ \((x\ x13 + x1\ x3)\) + 
              k\ \((\(-1\) + p\^2)\)\ \((x\ x1 + x13\ x3)\))\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Lattice on left face (L), latticeleftface:"\)], "Print"],

Cell[BoxData[
    \(\(-delta\^2\)\ \((\(-1\) + k\^2)\)\ \((\(-1\) + q\^2)\)\ \((\(-k\^2\) + 
              q\^2)\) + 
        4\ k\ q\ \((\(-\((\(-1\) + k\^2)\)\)\ q\ \((x2\ x23 + 
                    x\ x3)\) + \((k\^2 - q\^2)\)\ \((x\ x23 + x2\ x3)\) + 
              k\ \((\(-1\) + q\^2)\)\ \((x\ x2 + x23\ x3)\))\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("**************** TESTING CONSISTENCY AROUND THE CUBE ****************"\
\)], "Print"],

Cell[BoxData[
    \("Computation  x12 ="\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ p\^2 - delta\^2\ p\^4 - delta\^2\ q\^2 + 
          delta\^2\ p\^4\ q\^2 + delta\^2\ q\^4 - delta\^2\ p\^2\ q\^4 + 
          4\ p\ q\^2\ x\ x1 - 4\ p\^3\ q\^2\ x\ x1 - 4\ p\^2\ q\ x\ x2 + 
          4\ p\^2\ q\^3\ x\ x2 + 4\ p\^3\ q\ x1\ x2 - 
          4\ p\ q\^3\ x1\ x2)\)/\((4\ p\ q\ \((\(-p\^2\)\ x + q\^2\ x + 
              p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\))\)\)], "Print"],

Cell[BoxData[
    \("Computation  x13 = "\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ k\^2 - delta\^2\ k\^4 - delta\^2\ p\^2 + 
          delta\^2\ k\^4\ p\^2 + delta\^2\ p\^4 - delta\^2\ k\^2\ p\^4 - 
          4\ k\^2\ p\ x\ x1 + 4\ k\^2\ p\^3\ x\ x1 + 4\ k\ p\^2\ x\ x3 - 
          4\ k\^3\ p\^2\ x\ x3 + 4\ k\^3\ p\ x1\ x3 - 
          4\ k\ p\^3\ x1\ x3)\)/\((4\ k\ p\ \((\(-k\^2\)\ x + p\^2\ x - 
              p\ x1 + k\^2\ p\ x1 + k\ x3 - k\ p\^2\ x3)\))\)\)], "Print"],

Cell[BoxData[
    \("Computation  x23 = "\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ k\^2 - delta\^2\ k\^4 - delta\^2\ q\^2 + 
          delta\^2\ k\^4\ q\^2 + delta\^2\ q\^4 - delta\^2\ k\^2\ q\^4 - 
          4\ k\^2\ q\ x\ x2 + 4\ k\^2\ q\^3\ x\ x2 + 4\ k\ q\^2\ x\ x3 - 
          4\ k\^3\ q\^2\ x\ x3 + 4\ k\^3\ q\ x2\ x3 - 
          4\ k\ q\^3\ x2\ x3)\)/\((4\ k\ q\ \((\(-k\^2\)\ x + q\^2\ x - 
              q\ x2 + k\^2\ q\ x2 + k\ x3 - k\ q\^2\ x3)\))\)\)], "Print"],

Cell[BoxData[
    \("*****************************************************************"\)], \
"Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x23 (x123choice1), x123 \
="\)], "Print"],

Cell[BoxData[
    \(\((\(-delta\^2\)\ k\^4\ p\^2 + delta\^2\ k\^2\ p\^4 + 
          delta\^2\ k\^4\ q\^2 - delta\^2\ p\^4\ q\^2 - 
          delta\^2\ k\^2\ q\^4 + delta\^2\ p\^2\ q\^4 - 
          4\ k\^2\ p\^3\ q\ x1\ x2 + 4\ k\^2\ p\ q\^3\ x1\ x2 - 
          4\ k\^3\ p\ q\^2\ x1\ x3 + 4\ k\ p\^3\ q\^2\ x1\ x3 + 
          4\ k\^3\ p\^2\ q\ x2\ x3 - 
          4\ k\ p\^2\ q\^3\ x2\ x3)\)/\((4\ k\ p\ q\ \((\(-k\^2\)\ p\ x1 + 
              p\ q\^2\ x1 + k\^2\ q\ x2 - p\^2\ q\ x2 + k\ p\^2\ x3 - 
              k\ q\^2\ x3)\))\)\)], "Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x13, (x123choice2), x123 ="\
\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ k\^4\ p\^2 - delta\^2\ k\^2\ p\^4 - delta\^2\ k\^4\ q\^2 + 
          delta\^2\ p\^4\ q\^2 + delta\^2\ k\^2\ q\^4 - 
          delta\^2\ p\^2\ q\^4 + 4\ k\^2\ p\^3\ q\ x1\ x2 - 
          4\ k\^2\ p\ q\^3\ x1\ x2 + 4\ k\^3\ p\ q\^2\ x1\ x3 - 
          4\ k\ p\^3\ q\^2\ x1\ x3 - 4\ k\^3\ p\^2\ q\ x2\ x3 + 
          4\ k\ p\^2\ q\^3\ x2\ x3)\)/\((4\ k\ p\ q\ \((k\^2\ p\ x1 - 
              p\ q\^2\ x1 - k\^2\ q\ x2 + p\^2\ q\ x2 - k\ p\^2\ x3 + 
              k\ q\^2\ x3)\))\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("As soon as one consistency condition is violated the computation"\)], \
"Print"],

Cell[BoxData[
    \("will abort, unless candidates for L and M are given in the data file."\
\)], "Print"],

Cell[BoxData[
    \("Test if (x123choice1 - x123choice2) = 0, diffx123choice1choice2 ="\)], \
"Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("*** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" (SHOULD BE ZERO) ***"\),
      SequenceForm[ "*** TEST RESULT = ", 0, " (SHOULD BE ZERO) ***"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The equation is CONSISTENT around the cube!"\)], "Print"],

Cell[BoxData[
    \("************* BUILDING THE LAX PAIR (L_c and M_c) \
*****************"\)], "Print"],

Cell[BoxData[
    \("(c refers to candidate matrix), normalization factors t and s will \
"\)], "Print"],

Cell[BoxData[
    \("be computed below, or must be given in the data file "\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x13, gives x13hom = "\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ g\ k\^2 - delta\^2\ g\ k\^4 - delta\^2\ g\ p\^2 + 
          delta\^2\ g\ k\^4\ p\^2 + delta\^2\ g\ p\^4 - 
          delta\^2\ g\ k\^2\ p\^4 + 4\ f\ k\ p\^2\ x - 4\ f\ k\^3\ p\^2\ x + 
          4\ f\ k\^3\ p\ x1 - 4\ f\ k\ p\^3\ x1 - 4\ g\ k\^2\ p\ x\ x1 + 
          4\ g\ k\^2\ p\^3\ x\ x1)\)/\((4\ k\ p\ \((f\ k - f\ k\ p\^2 - 
              g\ k\^2\ x + g\ p\^2\ x - g\ p\ x1 + 
              g\ k\^2\ p\ x1)\))\)\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x23, gives x23hom = "\)], "Print"],

Cell[BoxData[
    \(\((delta\^2\ g\ k\^2 - delta\^2\ g\ k\^4 - delta\^2\ g\ q\^2 + 
          delta\^2\ g\ k\^4\ q\^2 + delta\^2\ g\ q\^4 - 
          delta\^2\ g\ k\^2\ q\^4 + 4\ f\ k\ q\^2\ x - 4\ f\ k\^3\ q\^2\ x + 
          4\ f\ k\^3\ q\ x2 - 4\ f\ k\ q\^3\ x2 - 4\ g\ k\^2\ q\ x\ x2 + 
          4\ g\ k\^2\ q\^3\ x\ x2)\)/\((4\ k\ q\ \((f\ k - f\ k\ q\^2 - 
              g\ k\^2\ x + g\ q\^2\ x - g\ q\ x2 + 
              g\ k\^2\ q\ x2)\))\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate L (L_c)."\)], "Print"],

Cell[BoxData[
    \("Use partial derivatives of difference equation!"\)], "Print"],

Cell[BoxData[
    \("This is candidateLnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(4\ k\ p\ t\ \((\(-p\)\ x + k\^2\ p\ x - k\^2\ x1 + 
                    p\^2\ x1)\)\), \(\(-\((\(-1\) + p)\)\)\ \((1 + 
                    p)\)\ t\ \((\(-delta\^2\)\ k\^2 + delta\^2\ k\^4 + 
                    delta\^2\ p\^2 - delta\^2\ k\^2\ p\^2 + 
                    4\ k\^2\ p\ x\ x1)\)\)},
            {\(4\ k\^2\ \((\(-1\) + p)\)\ p\ \((1 + 
                    p)\)\ t\), \(\(-4\)\ k\ p\ t\ \((\(-k\^2\)\ x + p\^2\ x - 
                    p\ x1 + k\^2\ p\ x1)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateLnew and a constant multiple of candidateL"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateLnew is "\[InvisibleSpace]\(-1\)\
\[InvisibleSpace]" times matrix candidateL."\),
      SequenceForm[ 
      "Indeed, candidateLnew is ", -1, " times matrix candidateL."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix L (candidateL)"\)], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(-4\)\ k\ p\ t\ \((\(-p\)\ x + k\^2\ p\ x - k\^2\ x1 + 
                    p\^2\ x1)\)\), \(\((\(-1\) + p)\)\ \((1 + 
                    p)\)\ t\ \((\(-delta\^2\)\ k\^2 + delta\^2\ k\^4 + 
                    delta\^2\ p\^2 - delta\^2\ k\^2\ p\^2 + 
                    4\ k\^2\ p\ x\ x1)\)\)},
            {\(\(-4\)\ k\^2\ \((\(-1\) + p)\)\ p\ \((1 + 
                    p)\)\ t\), \(4\ k\ p\ t\ \((\(-k\^2\)\ x + p\^2\ x - 
                    p\ x1 + k\^2\ p\ x1)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry L11 of candidate L (entrycandidateL11) "\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(\(-4\)\ k\ p\ t\ \((\(-p\)\ x + k\^2\ p\ x - k\^2\ x1 + 
          p\^2\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 of candidate L (entrycandidateL12) "\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\((\(-1\) + p)\)\ \((1 + p)\)\ t\ \((\(-delta\^2\)\ k\^2 + 
          delta\^2\ k\^4 + delta\^2\ p\^2 - delta\^2\ k\^2\ p\^2 + 
          4\ k\^2\ p\ x\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 of candidate L (entrycandidateL21) "\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(\(-4\)\ k\^2\ \((\(-1\) + p)\)\ p\ \((1 + p)\)\ t\)], "Print"],

Cell[BoxData[
    \("Entry L22 of candidate L (entrycandidateL22) "\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(4\ k\ p\ t\ \((\(-k\^2\)\ x + p\^2\ x - p\ x1 + 
          k\^2\ p\ x1)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate M (M_c)."\)], "Print"],

Cell[BoxData[
    \("Change the variables in L_c."\)], "Print"],

Cell[BoxData[
    \("This is candidateMnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(4\ k\ q\ s\ \((\(-q\)\ x + k\^2\ q\ x - k\^2\ x2 + 
                    q\^2\ x2)\)\), \(\((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ \((delta\^2\ k\^2 - delta\^2\ k\^4 - 
                    delta\^2\ q\^2 + delta\^2\ k\^2\ q\^2 - 
                    4\ k\^2\ q\ x\ x2)\)\)},
            {\(4\ k\^2\ \((\(-1\) + q)\)\ q\ \((1 + 
                    q)\)\ s\), \(\(-4\)\ k\ q\ s\ \((\(-k\^2\)\ x + q\^2\ x - 
                    q\ x2 + k\^2\ q\ x2)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateMnew and a constant multiple of candidateM"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateMnew is "\[InvisibleSpace]\(-1\)\
\[InvisibleSpace]" times matrix candidateM."\),
      SequenceForm[ 
      "Indeed, candidateMnew is ", -1, " times matrix candidateM."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix M (candidateM)"\)], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(-4\)\ k\ q\ s\ \((\(-q\)\ x + k\^2\ q\ x - k\^2\ x2 + 
                    q\^2\ x2)\)\), \(\((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ \((\(-delta\^2\)\ k\^2 + delta\^2\ k\^4 + 
                    delta\^2\ q\^2 - delta\^2\ k\^2\ q\^2 + 
                    4\ k\^2\ q\ x\ x2)\)\)},
            {\(\(-4\)\ k\^2\ \((\(-1\) + q)\)\ q\ \((1 + 
                    q)\)\ s\), \(4\ k\ q\ s\ \((\(-k\^2\)\ x + q\^2\ x - 
                    q\ x2 + k\^2\ q\ x2)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry M11 of candidate M (entrycandidateM11) "\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(\(-4\)\ k\ q\ s\ \((\(-q\)\ x + k\^2\ q\ x - k\^2\ x2 + 
          q\^2\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 of candidate M (entrycandidateM12) "\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\((\(-1\) + q)\)\ \((1 + q)\)\ s\ \((\(-delta\^2\)\ k\^2 + 
          delta\^2\ k\^4 + delta\^2\ q\^2 - delta\^2\ k\^2\ q\^2 + 
          4\ k\^2\ q\ x\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 of candidate M (entrycandidateM21) "\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(\(-4\)\ k\^2\ \((\(-1\) + q)\)\ q\ \((1 + q)\)\ s\)], "Print"],

Cell[BoxData[
    \("Entry M22 of candidate M (entrycandidateM22) "\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(4\ k\ q\ s\ \((\(-k\^2\)\ x + q\^2\ x - q\ x2 + 
          k\^2\ q\ x2)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF THE LAX PAIR CONTINUES \
***************"\)], "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF CONSTRAINTS FOR t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices!"\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-1) element ON LATTICE,"\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((4\ \((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((\(-k\^2\)\ q\ x1 + 
                  p\^2\ q\ x1 + k\^2\ p\ x2 - 
                  p\ q\^2\ x2)\)\ \((\(-delta\^2\)\ q\ s1\ t + 
                  2\ delta\^2\ p\^2\ q\ s1\ t - delta\^2\ p\^4\ q\ s1\ t + 
                  delta\^2\ q\^3\ s1\ t - 2\ delta\^2\ p\^2\ q\^3\ s1\ t + 
                  delta\^2\ p\^4\ q\^3\ s1\ t + delta\^2\ p\ s\ t2 - 
                  delta\^2\ p\^3\ s\ t2 - 2\ delta\^2\ p\ q\^2\ s\ t2 + 
                  2\ delta\^2\ p\^3\ q\^2\ s\ t2 + delta\^2\ p\ q\^4\ s\ t2 - 
                  delta\^2\ p\^3\ q\^4\ s\ t2 - 4\ p\^2\ q\ s1\ t\ x\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x\^2 + 4\ p\ q\^2\ s\ t2\ x\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x\^2 + 4\ p\ q\ s1\ t\ x\ x1 + 
                  4\ p\^3\ q\ s1\ t\ x\ x1 - 4\ p\ q\^3\ s1\ t\ x\ x1 - 
                  4\ p\^3\ q\^3\ s1\ t\ x\ x1 - 4\ p\^2\ q\ s1\ t\ x1\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x1\^2 - 4\ p\ q\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\ s\ t2\ x\ x2 - 4\ p\ q\^3\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\^3\ s\ t2\ x\ x2 + 4\ p\ q\^2\ s\ t2\ x2\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x2\^2)\))\)/\((p\^2\ x - q\^2\ x - 
              p\ x1 + p\ q\^2\ x1 + q\ x2 - p\^2\ q\ x2)\)\)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + k)\)\ k\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                  q)\)\ \((delta\^2\ k\^4 - delta\^2\ k\^2\ p\^2 - 
                  delta\^2\ k\^2\ q\^2 + delta\^2\ p\^2\ q\^2 + 
                  4\ k\^2\ p\ q\ x1\ x2)\)\ \((\(-delta\^2\)\ q\ s1\ t + 
                  2\ delta\^2\ p\^2\ q\ s1\ t - delta\^2\ p\^4\ q\ s1\ t + 
                  delta\^2\ q\^3\ s1\ t - 2\ delta\^2\ p\^2\ q\^3\ s1\ t + 
                  delta\^2\ p\^4\ q\^3\ s1\ t + delta\^2\ p\ s\ t2 - 
                  delta\^2\ p\^3\ s\ t2 - 2\ delta\^2\ p\ q\^2\ s\ t2 + 
                  2\ delta\^2\ p\^3\ q\^2\ s\ t2 + delta\^2\ p\ q\^4\ s\ t2 - 
                  delta\^2\ p\^3\ q\^4\ s\ t2 - 4\ p\^2\ q\ s1\ t\ x\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x\^2 + 4\ p\ q\^2\ s\ t2\ x\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x\^2 + 4\ p\ q\ s1\ t\ x\ x1 + 
                  4\ p\^3\ q\ s1\ t\ x\ x1 - 4\ p\ q\^3\ s1\ t\ x\ x1 - 
                  4\ p\^3\ q\^3\ s1\ t\ x\ x1 - 4\ p\^2\ q\ s1\ t\ x1\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x1\^2 - 4\ p\ q\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\ s\ t2\ x\ x2 - 4\ p\ q\^3\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\^3\ s\ t2\ x\ x2 + 4\ p\ q\^2\ s\ t2\ x2\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x2\^2)\))\)/\((p\ q\ \((\(-p\^2\)\ x \
+ q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\))\)\)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-1) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21onlattice = "\)], "Print"],

Cell[BoxData[
    \(\((4\ \((\(-1\) + k)\)\ k\^3\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                q)\)\ \((\(-delta\^2\)\ q\ s1\ t + 
                2\ delta\^2\ p\^2\ q\ s1\ t - delta\^2\ p\^4\ q\ s1\ t + 
                delta\^2\ q\^3\ s1\ t - 2\ delta\^2\ p\^2\ q\^3\ s1\ t + 
                delta\^2\ p\^4\ q\^3\ s1\ t + delta\^2\ p\ s\ t2 - 
                delta\^2\ p\^3\ s\ t2 - 2\ delta\^2\ p\ q\^2\ s\ t2 + 
                2\ delta\^2\ p\^3\ q\^2\ s\ t2 + delta\^2\ p\ q\^4\ s\ t2 - 
                delta\^2\ p\^3\ q\^4\ s\ t2 - 4\ p\^2\ q\ s1\ t\ x\^2 + 
                4\ p\^2\ q\^3\ s1\ t\ x\^2 + 4\ p\ q\^2\ s\ t2\ x\^2 - 
                4\ p\^3\ q\^2\ s\ t2\ x\^2 + 4\ p\ q\ s1\ t\ x\ x1 + 
                4\ p\^3\ q\ s1\ t\ x\ x1 - 4\ p\ q\^3\ s1\ t\ x\ x1 - 
                4\ p\^3\ q\^3\ s1\ t\ x\ x1 - 4\ p\^2\ q\ s1\ t\ x1\^2 + 
                4\ p\^2\ q\^3\ s1\ t\ x1\^2 - 4\ p\ q\ s\ t2\ x\ x2 + 
                4\ p\^3\ q\ s\ t2\ x\ x2 - 4\ p\ q\^3\ s\ t2\ x\ x2 + 
                4\ p\^3\ q\^3\ s\ t2\ x\ x2 + 4\ p\ q\^2\ s\ t2\ x2\^2 - 
                4\ p\^3\ q\^2\ s\ t2\ x2\^2)\))\)/\((\(-p\^2\)\ x + q\^2\ x + 
            p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((4\ \((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((\(-k\^2\)\ q\ x1 + 
                  p\^2\ q\ x1 + k\^2\ p\ x2 - 
                  p\ q\^2\ x2)\)\ \((\(-delta\^2\)\ q\ s1\ t + 
                  2\ delta\^2\ p\^2\ q\ s1\ t - delta\^2\ p\^4\ q\ s1\ t + 
                  delta\^2\ q\^3\ s1\ t - 2\ delta\^2\ p\^2\ q\^3\ s1\ t + 
                  delta\^2\ p\^4\ q\^3\ s1\ t + delta\^2\ p\ s\ t2 - 
                  delta\^2\ p\^3\ s\ t2 - 2\ delta\^2\ p\ q\^2\ s\ t2 + 
                  2\ delta\^2\ p\^3\ q\^2\ s\ t2 + delta\^2\ p\ q\^4\ s\ t2 - 
                  delta\^2\ p\^3\ q\^4\ s\ t2 - 4\ p\^2\ q\ s1\ t\ x\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x\^2 + 4\ p\ q\^2\ s\ t2\ x\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x\^2 + 4\ p\ q\ s1\ t\ x\ x1 + 
                  4\ p\^3\ q\ s1\ t\ x\ x1 - 4\ p\ q\^3\ s1\ t\ x\ x1 - 
                  4\ p\^3\ q\^3\ s1\ t\ x\ x1 - 4\ p\^2\ q\ s1\ t\ x1\^2 + 
                  4\ p\^2\ q\^3\ s1\ t\ x1\^2 - 4\ p\ q\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\ s\ t2\ x\ x2 - 4\ p\ q\^3\ s\ t2\ x\ x2 + 
                  4\ p\^3\ q\^3\ s\ t2\ x\ x2 + 4\ p\ q\^2\ s\ t2\ x2\^2 - 
                  4\ p\^3\ q\^2\ s\ t2\ x2\^2)\))\)/\((p\^2\ x - q\^2\ x - 
              p\ x1 + p\ q\^2\ x1 + q\ x2 - p\^2\ q\ x2)\)\)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("Compatibility testing of elements of matrix equation L2.M - M1.L = \
0"\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq11, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ q\ \((1 + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\/\(\((\(-1\) + p)\)\ p\ \((1 + p)\)\ \((delta\^2 - 2\ delta\^2\ \
q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ \
q\^2\ x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq12, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ q\ \((1 + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\/\(\((\(-1\) + p)\)\ p\ \((1 + p)\)\ \((delta\^2 - 2\ delta\^2\ \
q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ \
q\^2\ x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq21, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ q\ \((1 + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\/\(\((\(-1\) + p)\)\ p\ \((1 + p)\)\ \((delta\^2 - 2\ delta\^2\ \
q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ \
q\^2\ x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq22, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ q\ \((1 + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\/\(\((\(-1\) + p)\)\ p\ \((1 + p)\)\ \((delta\^2 - 2\ delta\^2\ \
q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ \
q\^2\ x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************* CRUCIAL STEP: COMPUTATION OF t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Lc, det(matrixLc) = "\)], "Print"],

Cell[BoxData[
    \(4\ \((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + 
          p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 
          4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
          4\ p\^2\ x1\^2)\)\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Mc, det(matrixMc) = "\)], "Print"],

Cell[BoxData[
    \(4\ \((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ q\ \((k + 
          q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 
          4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
          4\ q\^2\ x2\^2)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("-----> Using algorithm (detmethod)! Coefficient t (tcondition)"\)], \
"Print"],

Cell[BoxData[
    \("t = "\)], "Print"],

Cell[BoxData[
    \(1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - 
                    p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + 
                    delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 
                    4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\))\))\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("------> Using algorithm (detmethod)! Coefficient s (scondition)"\)], \
"Print"],

Cell[BoxData[
    \("s = "\)], "Print"],

Cell[BoxData[
    \(1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - 
                    q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + 
                    delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 
                    4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\))\))\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************************* TESTING t AND s ***************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("t and s DO NOT PASS the SYMBOLIC TEST YET."\)], "Print"],

Cell[BoxData[
    \("Either t and s do not satisfy the condition(s),"\)], "Print"],

Cell[BoxData[
    \("OR, more likely, Mathematica could not simplify the expression."\)], \
"Print"],

Cell[BoxData[
    \("The result will be numerically tested, with 12 tests where "\)], \
"Print"],

Cell[BoxData[
    \("the symbols are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Based on t and s (given in the data file),"\)], "Print"],

Cell[BoxData[
    \("the ratio (t2*s)/(t*s1) has been computed in two ways."\)], "Print"],

Cell[BoxData[
    \("The comparison PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("-----> t and s (given in the data file) appear to be CORRECT!"\)], \
"Print"],

Cell[BoxData[
    \("If controlpowerexpand and/or controlrootrules are set to True"\)], \
"Print"],

Cell[BoxData[
    \("in the data file, then further simplifications will be attempted."\)], \
"Print"],

Cell[BoxData[
    \("After introducing rootrules to simplify the roots,"\)], "Print"],

Cell[BoxData[
    \("t and s PASS the SYMBOLIC TEST!"\)], "Print"],

Cell[BoxData[
    \("After using powerexpand in various places,"\)], "Print"],

Cell[BoxData[
    \("t and s PASS the SYMBOLIC TEST!"\)], "Print"],

Cell[BoxData[
    \("After introducing absolute values in various places,"\)], "Print"],

Cell[BoxData[
    \("t and s PASS the SYMBOLIC TEST!"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Using t = "\[InvisibleSpace]1/\((2\ \
\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + 
                        p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + 
                        delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 
                        4\ p\^3\ x\ x1 + 
                        4\ p\^2\ x1\^2)\))\))\)\[InvisibleSpace]" and s = "\
\[InvisibleSpace]1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                        2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                        4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                        4\ q\^2\ x2\^2)\))\))\)\),
      SequenceForm[ "Using t = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, p]], p, 
              Plus[ k, p], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ p, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ p, 4]], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x, 2]], 
                Times[ -4, p, x, x1], 
                Times[ -4, 
                  Power[ p, 3], x, x1], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x1, 2]]]], 
            Rational[ -1, 2]]], " and s = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, q]], q, 
              Plus[ k, q], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ q, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ q, 4]], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x, 2]], 
                Times[ -4, q, x, x2], 
                Times[ -4, 
                  Power[ q, 3], x, x2], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x2, 2]]]], 
            Rational[ -1, 2]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix L (matrixL) for t = "\
\[InvisibleSpace]1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 
                        2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 
                        4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
                        4\ p\^2\ x1\^2)\))\))\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix L (matrixL) for t = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, p]], p, 
              Plus[ k, p], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ p, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ p, 4]], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x, 2]], 
                Times[ -4, p, x, x1], 
                Times[ -4, 
                  Power[ p, 3], x, x1], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x1, 2]]]], 
            Rational[ -1, 2]]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(2\ k\ p\ \((\(-p\)\ x + k\^2\ p\ x - k\^2\ x1 + 
                          p\^2\ x1)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\)\
\), \(-\(\(\((\(-1\) + p)\)\ \((1 + p)\)\ \((delta\^2\ k\^2 - 
                          delta\^2\ k\^4 - delta\^2\ p\^2 + 
                          delta\^2\ k\^2\ p\^2 - 
                          4\ k\^2\ p\ x\ x1)\)\)\/\(2\ \@\(\((\(-1\) + k)\)\ \
k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ \
p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ \
p\^2\ x1\^2)\)\)\)\)\)},
            {\(-\(\(2\ k\^2\ \((\(-1\) + p)\)\ p\ \((1 + 
                          p)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\)\), \
\(\(2\ k\ p\ \((\(-k\^2\)\ x + p\^2\ x - p\ x1 + 
                        k\^2\ p\ x1)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of L below are for t = "\
\[InvisibleSpace]1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 
                        2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 
                        4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
                        4\ p\^2\ x1\^2)\))\))\)\),
      SequenceForm[ "The elements of L below are for t = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, p]], p, 
              Plus[ k, p], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ p, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ p, 4]], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x, 2]], 
                Times[ -4, p, x, x1], 
                Times[ -4, 
                  Power[ p, 3], x, x1], 
                Times[ 4, 
                  Power[ p, 2], 
                  Power[ x1, 2]]]], 
            Rational[ -1, 2]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry L11 (entryL11)"\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((2\ k\ p\ \((\(-p\)\ x + k\^2\ p\ x - k\^2\ x1 + 
                p\^2\ x1)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                    k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 
                    2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 
                    4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
                    4\ p\^2\ x1\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 (entryL12)"\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + p)\)\ \((1 + p)\)\ \((delta\^2\ k\^2 - 
                delta\^2\ k\^4 - delta\^2\ p\^2 + delta\^2\ k\^2\ p\^2 - 
                4\ k\^2\ p\ x\ x1)\))\)/\((2\ \[Sqrt]\((\((\(-1\) + 
                      k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + 
                      p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + 
                      delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 
                      4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 (entryL21)"\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((2\ k\^2\ \((\(-1\) + p)\)\ p\ \((1 + 
                p)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                    k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 
                    2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 
                    4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
                    4\ p\^2\ x1\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L22 (entryL22)"\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\((2\ k\ p\ \((\(-k\^2\)\ x + p\^2\ x - p\ x1 + 
              k\^2\ p\ x1)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                  k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 
                  2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 
                  4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 
                  4\ p\^2\ x1\^2)\))\))\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix M (matrixM) for s = "\
\[InvisibleSpace]1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                        2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                        4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                        4\ q\^2\ x2\^2)\))\))\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix M (matrixM) for s = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, q]], q, 
              Plus[ k, q], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ q, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ q, 4]], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x, 2]], 
                Times[ -4, q, x, x2], 
                Times[ -4, 
                  Power[ q, 3], x, x2], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x2, 2]]]], 
            Rational[ -1, 2]]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(2\ k\ q\ \((\(-q\)\ x + k\^2\ q\ x - k\^2\ x2 + 
                          q\^2\ x2)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\)\
\), \(-\(\(\((\(-1\) + q)\)\ \((1 + q)\)\ \((delta\^2\ k\^2 - 
                          delta\^2\ k\^4 - delta\^2\ q\^2 + 
                          delta\^2\ k\^2\ q\^2 - 
                          4\ k\^2\ q\ x\ x2)\)\)\/\(2\ \@\(\((\(-1\) + k)\)\ \
k\^2\ \((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ \
q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ \
q\^2\ x2\^2)\)\)\)\)\)},
            {\(-\(\(2\ k\^2\ \((\(-1\) + q)\)\ q\ \((1 + 
                          q)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\)\), \
\(\(2\ k\ q\ \((\(-k\^2\)\ x + q\^2\ x - q\ x2 + 
                        k\^2\ q\ x2)\)\)\/\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of M below are for s = "\
\[InvisibleSpace]1/\((2\ \[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                        2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                        4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                        4\ q\^2\ x2\^2)\))\))\)\),
      SequenceForm[ "The elements of M below are for s = ", 
        Times[ 
          Rational[ 1, 2], 
          Power[ 
            Times[ 
              Plus[ -1, k], 
              Power[ k, 2], 
              Plus[ 1, k], 
              Plus[ k, 
                Times[ -1, q]], q, 
              Plus[ k, q], 
              Plus[ 
                Power[ delta, 2], 
                Times[ -2, 
                  Power[ delta, 2], 
                  Power[ q, 2]], 
                Times[ 
                  Power[ delta, 2], 
                  Power[ q, 4]], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x, 2]], 
                Times[ -4, q, x, x2], 
                Times[ -4, 
                  Power[ q, 3], x, x2], 
                Times[ 4, 
                  Power[ q, 2], 
                  Power[ x2, 2]]]], 
            Rational[ -1, 2]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry M11 (entryM11)"\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((2\ k\ q\ \((\(-q\)\ x + k\^2\ q\ x - k\^2\ x2 + 
                q\^2\ x2)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                    k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                    2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                    4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                    4\ q\^2\ x2\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 (entryM12)"\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + q)\)\ \((1 + q)\)\ \((delta\^2\ k\^2 - 
                delta\^2\ k\^4 - delta\^2\ q\^2 + delta\^2\ k\^2\ q\^2 - 
                4\ k\^2\ q\ x\ x2)\))\)/\((2\ \[Sqrt]\((\((\(-1\) + 
                      k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ q\ \((k + 
                      q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + 
                      delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 
                      4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 (entryM21)"\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((2\ k\^2\ \((\(-1\) + q)\)\ q\ \((1 + 
                q)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                    k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                    2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                    4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                    4\ q\^2\ x2\^2)\))\))\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M22 (entryM22)"\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\((2\ k\ q\ \((\(-k\^2\)\ x + q\^2\ x - q\ x2 + 
              k\^2\ q\ x2)\))\)/\((\[Sqrt]\((\((\(-1\) + k)\)\ k\^2\ \((1 + 
                  k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 
                  2\ delta\^2\ q\^2 + delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 
                  4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 
                  4\ q\^2\ x2\^2)\))\))\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************** FINAL TEST OF THE COMPUTED LAX PAIR \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("Compatibility matrix L2.M - M1.L, ON LATTICE"\)], "Print"],

Cell[BoxData[
    \("finalcompatibilitymatrixonlattice ="\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(2\ \((\(-1\) + k)\)\ k\^2\ \((1 + 
                        k)\)\ \((\(-k\^2\)\ q\ x1 + p\^2\ q\ x1 + 
                        k\^2\ p\ x2 - 
                        p\ q\^2\ x2)\)\ \((\(-delta\^2\)\ p\ \@\(\((\(-1\) + \
k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - \
q)\)\ \((\(-1\) + q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ \
x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\
\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ p\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ q\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        2\ delta\^2\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        2\ delta\^2\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        delta\^2\ p\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        delta\^2\ p\^3\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^3\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\^3\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\^2\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\
\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        2\ delta\^2\ p\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ p\^4\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        delta\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ p\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        2\ delta\^2\ p\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        delta\^2\ p\^4\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^2\ q\^3\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ p\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^3\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\^2\ q\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^2\ q\^3\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - \
p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\
\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \((p\^2\ x - 
                        q\^2\ x - p\ x1 + p\ q\^2\ x1 + q\ x2 - 
                        p\^2\ q\ x2)\)\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ q\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\
\) + p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 \
+ delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\
\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ \
p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\)\)\), \(-\(\(\((\(-1\) + k)\)\ k\ \((1 + k)\)\ \((p - 
                          q)\)\ \((p + q)\)\ \((delta\^2\ k\^4 - 
                          delta\^2\ k\^2\ p\^2 - delta\^2\ k\^2\ q\^2 + 
                          delta\^2\ p\^2\ q\^2 + 
                          
                          4\ k\^2\ p\ q\ x1\ x2)\)\ \((\(-delta\^2\)\ p\ \@\(\
\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 \
- 2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ \
x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k \
- q)\)\ \((\(-1\) + q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ \
x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\
\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                          2\ delta\^2\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          2\ delta\^2\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\
\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ p\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^3\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\
\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\
\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\
\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          4\ p\^3\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^3\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \
\((\(-1\) + q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ \
x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\
\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\
\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\
\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\
\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\
\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          2\ delta\^2\ p\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^4\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                          2\ delta\^2\ p\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\
\ \((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ p\^4\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^2\ q\^3\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          4\ p\^3\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^2\ q\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^2\ q\^3\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\))\)\)\/\(2\ p\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\((p\^2\ x - q\^2\ x - p\ x1 + p\ q\^2\ x1 + q\ x2 - 
                          p\^2\ q\ x2)\)\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\
\) + p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 \
+ delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\
\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ \
p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\)\)\)\)},
            {\(\(2\ \((\(-1\) + k)\)\ k\^3\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                        q)\)\ \((\(-delta\^2\)\ p\ \@\(\((\(-1\) + k)\)\ k\^2\
\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ p\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ q\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        2\ delta\^2\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        2\ delta\^2\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        delta\^2\ p\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        delta\^2\ p\^3\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^3\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\^3\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\^2\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\
\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \
\((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        2\ delta\^2\ p\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        delta\^2\ p\^4\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        delta\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ p\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        2\ delta\^2\ p\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        delta\^2\ p\^4\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^2\ q\^3\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                        4\ p\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ p\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\^4 \
+ 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^3\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                        4\ p\^3\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                        4\ p\^2\ q\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                        4\ p\^2\ q\^3\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - \
p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\
\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \((p\^2\ x - 
                        q\^2\ x - p\ x1 + p\ q\^2\ x1 + q\ x2 - 
                        p\^2\ q\ x2)\)\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\
\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ \
q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \@\
\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ q\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 \
+ 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\
\) + p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 \
+ delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\
\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ \
p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\)\)\), \(-\(\(2\ \((\(-1\) + k)\)\ k\^2\ \((1 + 
                          k)\)\ \((k\^2\ p\ x1 - p\ q\^2\ x1 - k\^2\ q\ x2 + 
                          p\^2\ q\ x2)\)\ \((\(-delta\^2\)\ p\ \@\(\((\(-1\) \
+ k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - \
q)\)\ \((\(-1\) + q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ \
x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\
\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                          2\ delta\^2\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          2\ delta\^2\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\
\ \((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ p\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^3\ q\^4\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^2\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) \
+ q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\
\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\
\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\
\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          4\ p\^3\ q\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^3\ q\^3\ x\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\)\ x2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \
\((\(-1\) + q)\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ \
delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ \
x1 + 4\ p\^2\ x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ \
x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\
\ q\^2\ x1 - q\ x2 + p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\
\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ \
p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ x2\
\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\
\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\
\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \
x2\^2\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\
\)\^2\ q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + \
delta\^2\ p\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ \
x1\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          2\ delta\^2\ p\^2\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          delta\^2\ p\^4\ q\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) + 
                          2\ delta\^2\ p\^2\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\
\ \((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          delta\^2\ p\^4\ q\^3\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^2\ q\^3\ x\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\ q\
\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\) - 
                          4\ p\^3\ q\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^3\ q\^3\ x\ x1\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) + 
                          4\ p\^2\ q\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 \
+ k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\) - 
                          4\ p\^2\ q\^3\ x1\^2\ \@\(\((\(-1\) + k)\)\ k\^2\ \
\((1 + k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) \
+ p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + \
delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ \
x2\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\
\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - \
p)\)\ p\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\^4 + 4\ p\
\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\)\ \((p\^2\ x - 
                          q\^2\ x - p\ x1 + p\ q\^2\ x1 + q\ x2 - 
                          p\^2\ q\ x2)\)\ \@\(\((\(-1\) + k)\)\ k\^2\ \((1 + \
k)\)\ \((k - q)\)\ q\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 + delta\^2\
\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\^2)\)\)\ \
\@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
q\ \((1 + q)\)\^2\ \((k + q)\)\ \((delta\^2 - 2\ delta\^2\ p\^2 + delta\^2\ p\
\^4 + 4\ p\^2\ x\^2 - 4\ p\ x\ x1 - 4\ p\^3\ x\ x1 + 4\ p\^2\ x1\^2)\)\ \
\((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ p\^2\ q\^2\ \
x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ x2\^2)\)\)\/\
\(p\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + p\^2\ q\ \
x2)\)\^2\)\)\ \@\(\(\((\(-1\) + k)\)\ k\^2\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\
\) + p)\)\^2\ p\ \((1 + p)\)\^2\ \((k + p)\)\ \((delta\^2 - 2\ delta\^2\ q\^2 \
+ delta\^2\ q\^4 + 4\ q\^2\ x\^2 - 4\ q\ x\ x2 - 4\ q\^3\ x\ x2 + 4\ q\^2\ x2\
\^2)\)\ \((delta\^2\ p\^4 - 2\ delta\^2\ p\^2\ q\^2 + delta\^2\ q\^4 + 4\ \
p\^2\ q\^2\ x1\^2 - 4\ p\^3\ q\ x1\ x2 - 4\ p\ q\^3\ x1\ x2 + 4\ p\^2\ q\^2\ \
x2\^2)\)\)\/\(q\^2\ \((\(-p\^2\)\ x + q\^2\ x + p\ x1 - p\ q\^2\ x1 - q\ x2 + \
p\^2\ q\ x2)\)\^2\)\)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Either the Lax pair computed by the software does not satisfy"\)], \
"Print"],

Cell[BoxData[
    \("the Lax equation OR, more likely, Mathematica could not "\)], "Print"],

Cell[BoxData[
    \("simplify the resulting matrix."\)], "Print"],

Cell[BoxData[
    \("Matrix will be tested with 12 numeric tests where the symbols"\)], \
"Print"],

Cell[BoxData[
    \("are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Upon substitution into the Lax equation, the computed Lax pair"\)], \
"Print"],

Cell[BoxData[
    \("PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("The computed Lax pair SATISFIES the Lax equation"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]2450\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 2450, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Code for computation of Lax pairs (July 5, 2009) was successfully \
loaded."\)], "Print"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1112, 740},
WindowMargins->{{21, Automatic}, {Automatic, 6}},
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 78, 1, 42, "Input"],
Cell[1857, 56, 61, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1955, 62, 61, 1, 42, "Input"],
Cell[2019, 65, 104, 2, 35, "Print"],
Cell[2126, 69, 275, 5, 35, "Print"],
Cell[2404, 76, 106, 2, 35, "Print"],
Cell[2513, 80, 103, 2, 35, "Print"],
Cell[2619, 84, 106, 2, 35, "Print"],
Cell[2728, 88, 82, 1, 35, "Print"],
Cell[2813, 91, 82, 1, 35, "Print"],
Cell[2898, 94, 78, 1, 35, "Print"],
Cell[2979, 97, 81, 1, 35, "Print"],
Cell[3063, 100, 81, 1, 35, "Print"],
Cell[3147, 103, 100, 2, 35, "Print"],
Cell[3250, 107, 99, 2, 35, "Print"],
Cell[3352, 111, 100, 2, 35, "Print"],
Cell[3455, 115, 99, 2, 35, "Print"],
Cell[3557, 119, 82, 1, 35, "Print"],
Cell[3642, 122, 49, 1, 35, "Print"],
Cell[3694, 125, 51, 1, 35, "Print"],
Cell[3748, 128, 56, 1, 35, "Print"],
Cell[3807, 131, 106, 2, 35, "Print"],
Cell[3916, 135, 275, 5, 35, "Print"],
Cell[4194, 142, 106, 2, 35, "Print"],
Cell[4303, 146, 103, 2, 35, "Print"],
Cell[4409, 150, 106, 2, 35, "Print"],
Cell[4518, 154, 101, 2, 35, "Print"],
Cell[4622, 158, 100, 2, 35, "Print"],
Cell[4725, 162, 101, 2, 35, "Print"],
Cell[4829, 166, 100, 2, 35, "Print"],
Cell[4932, 170, 82, 1, 35, "Print"],
Cell[5017, 173, 73, 1, 35, "Print"],
Cell[5093, 176, 105, 2, 35, "Print"],
Cell[5201, 180, 97, 2, 35, "Print"],
Cell[5301, 184, 89, 1, 35, "Print"],
Cell[5393, 187, 49, 1, 35, "Print"],
Cell[5445, 190, 51, 1, 35, "Print"],
Cell[5499, 193, 56, 1, 35, "Print"],
Cell[5558, 196, 106, 2, 35, "Print"],
Cell[5667, 200, 105, 2, 35, "Print"],
Cell[5775, 204, 92, 1, 35, "Print"],
Cell[5870, 207, 92, 1, 35, "Print"],
Cell[5965, 210, 92, 1, 35, "Print"],
Cell[6060, 213, 92, 1, 35, "Print"],
Cell[6155, 216, 92, 1, 35, "Print"],
Cell[6250, 219, 92, 1, 35, "Print"],
Cell[6345, 222, 92, 1, 35, "Print"],
Cell[6440, 225, 92, 1, 35, "Print"],
Cell[6535, 228, 105, 2, 35, "Print"],
Cell[6643, 232, 228, 4, 35, "Print"],
Cell[6874, 238, 369, 6, 63, "Print"],
Cell[7246, 246, 102, 2, 35, "Print"],
Cell[7351, 250, 252, 5, 35, "Print"],
Cell[7606, 257, 242, 5, 35, "Print"],
Cell[7851, 264, 236, 5, 35, "Print"],
Cell[8090, 271, 201, 4, 35, "Print"],
Cell[8294, 277, 189, 4, 35, "Print"],
Cell[8486, 283, 183, 3, 35, "Print"],
Cell[8672, 288, 203, 4, 35, "Print"],
Cell[8878, 294, 234, 5, 35, "Print"],
Cell[9115, 301, 106, 2, 35, "Print"],
Cell[9224, 305, 91, 1, 35, "Print"],
Cell[9318, 308, 369, 6, 63, "Print"],
Cell[9690, 316, 72, 1, 35, "Print"],
Cell[9765, 319, 349, 6, 63, "Print"],
Cell[10117, 327, 77, 1, 35, "Print"],
Cell[10197, 330, 349, 6, 63, "Print"],
Cell[10549, 338, 106, 2, 35, "Print"],
Cell[10658, 342, 53, 1, 35, "Print"],
Cell[10714, 345, 425, 6, 89, "Print"],
Cell[11142, 353, 54, 1, 35, "Print"],
Cell[11199, 356, 425, 6, 89, "Print"],
Cell[11627, 364, 54, 1, 35, "Print"],
Cell[11684, 367, 425, 6, 89, "Print"],
Cell[12112, 375, 102, 2, 35, "Print"],
Cell[12217, 379, 105, 2, 35, "Print"],
Cell[12325, 383, 548, 9, 89, "Print"],
Cell[12876, 394, 106, 2, 35, "Print"],
Cell[12985, 398, 527, 8, 89, "Print"],
Cell[13515, 408, 105, 2, 35, "Print"],
Cell[13623, 412, 101, 2, 35, "Print"],
Cell[13727, 416, 106, 2, 35, "Print"],
Cell[13836, 420, 102, 2, 35, "Print"],
Cell[13941, 424, 34, 1, 35, "Print"],
Cell[13978, 427, 226, 4, 35, "Print"],
Cell[14207, 433, 78, 1, 35, "Print"],
Cell[14288, 436, 104, 2, 35, "Print"],
Cell[14395, 440, 104, 2, 35, "Print"],
Cell[14502, 444, 88, 1, 35, "Print"],
Cell[14593, 447, 85, 1, 35, "Print"],
Cell[14681, 450, 465, 7, 89, "Print"],
Cell[15149, 459, 85, 1, 35, "Print"],
Cell[15237, 462, 465, 7, 89, "Print"],
Cell[15705, 471, 106, 2, 35, "Print"],
Cell[15814, 475, 88, 1, 35, "Print"],
Cell[15905, 478, 82, 1, 35, "Print"],
Cell[15990, 481, 58, 1, 35, "Print"],
Cell[16051, 484, 670, 13, 62, "Print"],
Cell[16724, 499, 102, 2, 35, "Print"],
Cell[16829, 503, 57, 1, 35, "Print"],
Cell[16889, 506, 226, 7, 52, "Print"],
Cell[17118, 515, 261, 5, 35, "Print"],
Cell[17382, 522, 103, 2, 35, "Print"],
Cell[17488, 526, 76, 1, 35, "Print"],
Cell[17567, 529, 39, 1, 35, "Print"],
Cell[17609, 532, 670, 13, 62, "Print"],
Cell[18282, 547, 106, 2, 35, "Print"],
Cell[18391, 551, 80, 1, 35, "Print"],
Cell[18474, 554, 41, 1, 35, "Print"],
Cell[18518, 557, 111, 2, 37, "Print"],
Cell[18632, 561, 80, 1, 35, "Print"],
Cell[18715, 564, 41, 1, 35, "Print"],
Cell[18759, 567, 191, 3, 37, "Print"],
Cell[18953, 572, 80, 1, 35, "Print"],
Cell[19036, 575, 41, 1, 35, "Print"],
Cell[19080, 578, 82, 1, 37, "Print"],
Cell[19165, 581, 80, 1, 35, "Print"],
Cell[19248, 584, 41, 1, 35, "Print"],
Cell[19292, 587, 106, 2, 37, "Print"],
Cell[19401, 591, 106, 2, 35, "Print"],
Cell[19510, 595, 88, 1, 35, "Print"],
Cell[19601, 598, 63, 1, 35, "Print"],
Cell[19667, 601, 58, 1, 35, "Print"],
Cell[19728, 604, 660, 13, 62, "Print"],
Cell[20391, 619, 102, 2, 35, "Print"],
Cell[20496, 623, 57, 1, 35, "Print"],
Cell[20556, 626, 226, 7, 52, "Print"],
Cell[20785, 635, 261, 5, 35, "Print"],
Cell[21049, 642, 103, 2, 35, "Print"],
Cell[21155, 646, 76, 1, 35, "Print"],
Cell[21234, 649, 39, 1, 35, "Print"],
Cell[21276, 652, 670, 13, 62, "Print"],
Cell[21949, 667, 106, 2, 35, "Print"],
Cell[22058, 671, 80, 1, 35, "Print"],
Cell[22141, 674, 41, 1, 35, "Print"],
Cell[22185, 677, 111, 2, 37, "Print"],
Cell[22299, 681, 80, 1, 35, "Print"],
Cell[22382, 684, 41, 1, 35, "Print"],
Cell[22426, 687, 191, 3, 37, "Print"],
Cell[22620, 692, 80, 1, 35, "Print"],
Cell[22703, 695, 41, 1, 35, "Print"],
Cell[22747, 698, 82, 1, 37, "Print"],
Cell[22832, 701, 80, 1, 35, "Print"],
Cell[22915, 704, 41, 1, 35, "Print"],
Cell[22959, 707, 106, 2, 37, "Print"],
Cell[23068, 711, 104, 2, 35, "Print"],
Cell[23175, 715, 103, 2, 35, "Print"],
Cell[23281, 719, 104, 2, 35, "Print"],
Cell[23388, 723, 104, 2, 35, "Print"],
Cell[23495, 727, 84, 1, 35, "Print"],
Cell[23582, 730, 64, 1, 35, "Print"],
Cell[23649, 733, 1337, 19, 219, "Print"],
Cell[24989, 754, 85, 1, 35, "Print"],
Cell[25077, 757, 64, 1, 35, "Print"],
Cell[25144, 760, 1429, 20, 243, "Print"],
Cell[26576, 782, 85, 1, 35, "Print"],
Cell[26664, 785, 64, 1, 35, "Print"],
Cell[26731, 788, 1242, 18, 219, "Print"],
Cell[27976, 808, 85, 1, 35, "Print"],
Cell[28064, 811, 64, 1, 35, "Print"],
Cell[28131, 814, 1337, 19, 219, "Print"],
Cell[29471, 835, 105, 2, 35, "Print"],
Cell[29579, 839, 105, 2, 35, "Print"],
Cell[29687, 843, 87, 1, 35, "Print"],
Cell[29777, 846, 78, 1, 35, "Print"],
Cell[29858, 849, 51, 1, 35, "Print"],
Cell[29912, 852, 349, 5, 59, "Print"],
Cell[30264, 859, 87, 1, 35, "Print"],
Cell[30354, 862, 78, 1, 35, "Print"],
Cell[30435, 865, 51, 1, 35, "Print"],
Cell[30489, 868, 349, 5, 59, "Print"],
Cell[30841, 875, 87, 1, 35, "Print"],
Cell[30931, 878, 78, 1, 35, "Print"],
Cell[31012, 881, 51, 1, 35, "Print"],
Cell[31066, 884, 349, 5, 59, "Print"],
Cell[31418, 891, 87, 1, 35, "Print"],
Cell[31508, 894, 78, 1, 35, "Print"],
Cell[31589, 897, 51, 1, 35, "Print"],
Cell[31643, 900, 349, 5, 59, "Print"],
Cell[31995, 907, 103, 2, 35, "Print"],
Cell[32101, 911, 103, 2, 35, "Print"],
Cell[32207, 915, 103, 2, 35, "Print"],
Cell[32313, 919, 106, 2, 35, "Print"],
Cell[32422, 923, 77, 1, 35, "Print"],
Cell[32502, 926, 250, 4, 63, "Print"],
Cell[32755, 932, 77, 1, 35, "Print"],
Cell[32835, 935, 250, 4, 63, "Print"],
Cell[33088, 941, 106, 2, 35, "Print"],
Cell[33197, 945, 148, 2, 60, "Print"],
Cell[33348, 949, 99, 2, 35, "Print"],
Cell[33450, 953, 39, 1, 35, "Print"],
Cell[33492, 956, 301, 4, 69, "Print"],
Cell[33796, 962, 104, 2, 35, "Print"],
Cell[33903, 966, 100, 2, 35, "Print"],
Cell[34006, 970, 39, 1, 35, "Print"],
Cell[34048, 973, 301, 4, 69, "Print"],
Cell[34352, 979, 104, 2, 35, "Print"],
Cell[34459, 983, 106, 2, 35, "Print"],
Cell[34568, 987, 148, 2, 60, "Print"],
Cell[34719, 991, 77, 1, 35, "Print"],
Cell[34799, 994, 82, 1, 35, "Print"],
Cell[34884, 997, 100, 2, 35, "Print"],
Cell[34987, 1001, 96, 2, 35, "Print"],
Cell[35086, 1005, 90, 1, 35, "Print"],
Cell[35179, 1008, 77, 1, 35, "Print"],
Cell[35259, 1011, 89, 1, 35, "Print"],
Cell[35351, 1014, 77, 1, 35, "Print"],
Cell[35431, 1017, 73, 1, 35, "Print"],
Cell[35507, 1020, 98, 2, 35, "Print"],
Cell[35608, 1024, 98, 2, 35, "Print"],
Cell[35709, 1028, 102, 2, 35, "Print"],
Cell[35814, 1032, 85, 1, 35, "Print"],
Cell[35902, 1035, 66, 1, 35, "Print"],
Cell[35971, 1038, 77, 1, 35, "Print"],
Cell[36051, 1041, 66, 1, 35, "Print"],
Cell[36120, 1044, 87, 1, 35, "Print"],
Cell[36210, 1047, 66, 1, 35, "Print"],
Cell[36279, 1050, 106, 2, 35, "Print"],
Cell[36388, 1054, 2487, 69, 129, "Print"],
Cell[38878, 1125, 1363, 36, 69, "Print"],
Cell[40244, 1163, 105, 2, 35, "Print"],
Cell[40352, 1167, 39, 1, 35, "Print"],
Cell[40394, 1170, 1495, 25, 116, "Print"],
Cell[41892, 1197, 105, 2, 35, "Print"],
Cell[42000, 1201, 1336, 36, 69, "Print"],
Cell[43339, 1239, 55, 1, 35, "Print"],
Cell[43397, 1242, 41, 1, 35, "Print"],
Cell[43441, 1245, 409, 6, 69, "Print"],
Cell[43853, 1253, 55, 1, 35, "Print"],
Cell[43911, 1256, 41, 1, 35, "Print"],
Cell[43955, 1259, 506, 7, 99, "Print"],
Cell[44464, 1268, 55, 1, 35, "Print"],
Cell[44522, 1271, 41, 1, 35, "Print"],
Cell[44566, 1274, 391, 6, 69, "Print"],
Cell[44960, 1282, 55, 1, 35, "Print"],
Cell[45018, 1285, 41, 1, 35, "Print"],
Cell[45062, 1288, 390, 6, 69, "Print"],
Cell[45455, 1296, 105, 2, 35, "Print"],
Cell[45563, 1300, 1363, 36, 69, "Print"],
Cell[46929, 1338, 105, 2, 35, "Print"],
Cell[47037, 1342, 39, 1, 35, "Print"],
Cell[47079, 1345, 1495, 25, 116, "Print"],
Cell[48577, 1372, 105, 2, 35, "Print"],
Cell[48685, 1376, 1336, 36, 69, "Print"],
Cell[50024, 1414, 55, 1, 35, "Print"],
Cell[50082, 1417, 41, 1, 35, "Print"],
Cell[50126, 1420, 409, 6, 69, "Print"],
Cell[50538, 1428, 55, 1, 35, "Print"],
Cell[50596, 1431, 41, 1, 35, "Print"],
Cell[50640, 1434, 506, 7, 99, "Print"],
Cell[51149, 1443, 55, 1, 35, "Print"],
Cell[51207, 1446, 41, 1, 35, "Print"],
Cell[51251, 1449, 391, 6, 69, "Print"],
Cell[51645, 1457, 55, 1, 35, "Print"],
Cell[51703, 1460, 41, 1, 35, "Print"],
Cell[51747, 1463, 390, 6, 69, "Print"],
Cell[52140, 1471, 103, 2, 35, "Print"],
Cell[52246, 1475, 103, 2, 35, "Print"],
Cell[52352, 1479, 148, 2, 60, "Print"],
Cell[52503, 1483, 79, 1, 35, "Print"],
Cell[52585, 1486, 70, 1, 35, "Print"],
Cell[52658, 1489, 87845, 1210, 254, "Print"],
Cell[140506, 2701, 98, 2, 35, "Print"],
Cell[140607, 2705, 91, 1, 35, "Print"],
Cell[140701, 2708, 65, 1, 35, "Print"],
Cell[140769, 2711, 98, 2, 35, "Print"],
Cell[140870, 2715, 78, 1, 35, "Print"],
Cell[140951, 2718, 99, 2, 35, "Print"],
Cell[141053, 2722, 62, 1, 35, "Print"],
Cell[141118, 2725, 73, 1, 35, "Print"],
Cell[141194, 2728, 83, 1, 35, "Print"],
Cell[141280, 2731, 106, 2, 35, "Print"],
Cell[141389, 2735, 271, 5, 35, "Print"],
Cell[141663, 2742, 110, 2, 35, "Print"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

