(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     73889,       1763]*)
(*NotebookOutlinePosition[     74555,       1786]*)
(*  CellTagsIndexPosition[     74511,       1782]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(SetDirectory["\<d:\\demolattices\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\demolattices\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<LaxPairLattices.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code for computation of Lax pairs (version of July 5, \
2009)"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]1\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  1) discrete potential KdV Equation (l_pKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  2) discrete modified KdV Equation  (l_mKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  3) discrete sine-Gordon Equation (l_sG.m)"\)], "Print"],

Cell[BoxData[
    \("  4) H1 equation (ABS classification) (l_H1.m)"\)], "Print"],

Cell[BoxData[
    \("  5) H2 equation (ABS classification) (l_H2.m)"\)], "Print"],

Cell[BoxData[
    \("  6) H3 equation (delta not 0) (ABS classification) (l_H3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  7) H3 equation (delta = 0) (ABS classification) (l_H3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  8) Q1 equation (delta not 0) (ABS classification) (l_Q1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  9) Q1 equation (delta = 0) (ABS classification) (l_Q1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  10) Q2 equation (ABS classification) (l_Q2.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  11) Q3 equation (delta not 0) (ABS classification) (l_Q3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  12) Q3 equation (delta = 0) (ABS classification) (l_Q3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  13) A1 equation (delta not 0) (ABS classification) (l_A1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  14) A1 equation (delta = 0) (ABS classification) (l_A1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  15) A2 equation (ABS classification) (l_A2.m)"\)], "Print"],

Cell[BoxData[
    \("  16) (alpha,beta) equation (l_abeq.m)"\)], "Print"],

Cell[BoxData[
    \("  17) discrete sine-Gordon Equation (testing parameters) \
(l_sGpar.m)"\)], "Print"],

Cell[BoxData[
    \("  18) discrete generalized modified KdV Equation (l_gmKdV.m)"\)], \
"Print"],

Cell[BoxData[
    \("  19) Q2 equation with more general terms (l_Q2rhs3.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("         WELCOME TO THE MATHEMATICA PROGRAM              "\)], "Print"],

Cell[BoxData[
    \("                  by WILLY HEREMAN                       "\)], "Print"],

Cell[BoxData[
    \("     FOR THE COMPUTATION OF LAX PAIRS OF NONLINEAR       "\)], "Print"],

Cell[BoxData[
    \("  PARTIAL DIFFERENCE EQUATIONS IN 2D (ON QUAD-GRAPHS)    "\)], "Print"],

Cell[BoxData[
    \(" Collaborators: Reinout Quispel and Peter van der Kamp   "\)], "Print"],

Cell[BoxData[
    \("           First released on July 22, 2008               "\)], "Print"],

Cell[BoxData[
    \("           Last updated: July 5, 2009                    "\)], "Print"],

Cell[BoxData[
    \("                    Copyright 2008                       "\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the discrete "\[InvisibleSpace]A2\
\[InvisibleSpace]" equation:"\),
      SequenceForm[ "Working with the discrete ", A2, " equation:"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\(-1\) + p\^2)\)\ q\ \((x1\ x12 + x\ x2)\) - 
        p\ \((\(-1\) + q\^2)\)\ \((x\ x1 + x12\ x2)\) + \((\(-p\^2\) + 
              q\^2)\)\ \((1 + x\ x1\ x12\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("********************** CONTROL SETTINGS *************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("LaxPairGiven (L and M are given in data file) is set \
to "\[InvisibleSpace]False\),
      SequenceForm[ 
      "LaxPairGiven (L and M are given in data file) is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("t and s are given in data file (byhand) is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ 
      "t and s are given in data file (byhand) is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Determinant method to compute t and s is set to: "\
\[InvisibleSpace]True\),
      SequenceForm[ 
      "Determinant method to compute t and s is set to: ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Test consistency on cube is set to \
"\[InvisibleSpace]True\),
      SequenceForm[ "Test consistency on cube is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of powerexpand is set to "\[InvisibleSpace]False\
\),
      SequenceForm[ "Use of powerexpand is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of rootrules is set to "\[InvisibleSpace]True\),
      SequenceForm[ "Use of rootrules is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of matrix N is set to: \
"\[InvisibleSpace]False\),
      SequenceForm[ "Computation of matrix N is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Application of gauge transformation is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ "Application of gauge transformation is set to: ", False],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \("******************* START OF THE COMPUTATION ************************"\
\)], "Print"],

Cell[BoxData[
    \("Working with lattice defined on front (F), latticefront:"\)], "Print"],

Cell[BoxData[
    \(\((\(-1\) + p\^2)\)\ q\ \((x1\ x12 + x\ x2)\) - 
        p\ \((\(-1\) + q\^2)\)\ \((x\ x1 + x12\ x2)\) + \((\(-p\^2\) + 
              q\^2)\)\ \((1 + x\ x1\ x12\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Lattice on ground (G), latticeground:"\)], "Print"],

Cell[BoxData[
    \(k\ \((\(-1\) + p\^2)\)\ \((x1\ x13 + x\ x3)\) - \((\(-1\) + 
              k\^2)\)\ p\ \((x\ x1 + x13\ x3)\) + \((k\^2 - p\^2)\)\ \((1 + 
              x\ x1\ x13\ x3)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Lattice on left face (L), latticeleftface:"\)], "Print"],

Cell[BoxData[
    \(k\ \((\(-1\) + q\^2)\)\ \((x2\ x23 + x\ x3)\) - \((\(-1\) + 
              k\^2)\)\ q\ \((x\ x2 + x23\ x3)\) + \((k\^2 - q\^2)\)\ \((1 + 
              x\ x2\ x23\ x3)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("**************** TESTING CONSISTENCY AROUND THE CUBE ****************"\
\)], "Print"],

Cell[BoxData[
    \("Computation  x12 ="\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-p\^2\) + q\^2 + p\ x\ x1 - p\ q\^2\ x\ x1 - q\ x\ x2 + 
            p\^2\ q\ x\ x2\)\/\(\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - 
            p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2\)\)\)\)], "Print"],

Cell[BoxData[
    \("Computation  x13 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-k\^2\) + p\^2 - p\ x\ x1 + k\^2\ p\ x\ x1 + k\ x\ x3 - 
            k\ p\^2\ x\ x3\)\/\(k\ x1 - k\ p\^2\ x1 - p\ x3 + k\^2\ p\ x3 - 
            k\^2\ x\ x1\ x3 + p\^2\ x\ x1\ x3\)\)\)\)], "Print"],

Cell[BoxData[
    \("Computation  x23 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-k\^2\) + q\^2 - q\ x\ x2 + k\^2\ q\ x\ x2 + k\ x\ x3 - 
            k\ q\^2\ x\ x3\)\/\(k\ x2 - k\ q\^2\ x2 - q\ x3 + k\^2\ q\ x3 - 
            k\^2\ x\ x2\ x3 + q\^2\ x\ x2\ x3\)\)\)\)], "Print"],

Cell[BoxData[
    \("*****************************************************************"\)], \
"Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x23 (x123choice1), x123 \
="\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\ p\^2\ x1\ x2 - k\ q\^2\ x1\ x2 + k\^2\ q\ x1\ x3 - 
            p\^2\ q\ x1\ x3 - k\^2\ p\ x2\ x3 + 
            p\ q\^2\ x2\ x3\)\/\(\(-k\^2\)\ p\ x1 + p\ q\^2\ x1 + 
            k\^2\ q\ x2 - p\^2\ q\ x2 + k\ p\^2\ x3 - 
            k\ q\^2\ x3\)\)\)\)], "Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x13, (x123choice2), x123 ="\
\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-k\)\ p\^2\ x1\ x2 + k\ q\^2\ x1\ x2 - k\^2\ q\ x1\ x3 + 
            p\^2\ q\ x1\ x3 + k\^2\ p\ x2\ x3 - 
            p\ q\^2\ x2\ x3\)\/\(k\^2\ p\ x1 - p\ q\^2\ x1 - k\^2\ q\ x2 + 
            p\^2\ q\ x2 - k\ p\^2\ x3 + k\ q\^2\ x3\)\)\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("As soon as one consistency condition is violated the computation"\)], \
"Print"],

Cell[BoxData[
    \("will abort, unless candidates for L and M are given in the data file."\
\)], "Print"],

Cell[BoxData[
    \("Test if (x123choice1 - x123choice2) = 0, diffx123choice1choice2 ="\)], \
"Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("*** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" (SHOULD BE ZERO) ***"\),
      SequenceForm[ "*** TEST RESULT = ", 0, " (SHOULD BE ZERO) ***"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The equation is CONSISTENT around the cube!"\)], "Print"],

Cell[BoxData[
    \("************* BUILDING THE LAX PAIR (L_c and M_c) \
*****************"\)], "Print"],

Cell[BoxData[
    \("(c refers to candidate matrix), normalization factors t and s will \
"\)], "Print"],

Cell[BoxData[
    \("be computed below, or must be given in the data file "\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x13, gives x13hom = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-g\)\ k\^2 + g\ p\^2 + f\ k\ x - f\ k\ p\^2\ x - g\ p\ x\ x1 + 
            g\ k\^2\ p\ x\ x1\)\/\(\(-f\)\ p + f\ k\^2\ p + g\ k\ x1 - 
            g\ k\ p\^2\ x1 - f\ k\^2\ x\ x1 + f\ p\^2\ x\ x1\)\)\)\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x23, gives x23hom = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-g\)\ k\^2 + g\ q\^2 + f\ k\ x - f\ k\ q\^2\ x - g\ q\ x\ x2 + 
            g\ k\^2\ q\ x\ x2\)\/\(\(-f\)\ q + f\ k\^2\ q + g\ k\ x2 - 
            g\ k\ q\^2\ x2 - f\ k\^2\ x\ x2 + f\ q\^2\ x\ x2\)\)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate L (L_c)."\)], "Print"],

Cell[BoxData[
    \("Use partial derivatives of difference equation!"\)], "Print"],

Cell[BoxData[
    \("This is candidateLnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(-k\)\ \((\(-1\) + p)\)\ \((1 + 
                    p)\)\ t\ x\), \(t\ \((\(-k\^2\) + p\^2 - p\ x\ x1 + 
                    k\^2\ p\ x\ x1)\)\)},
            {\(\(-t\)\ \((\(-p\) + k\^2\ p - k\^2\ x\ x1 + 
                    p\^2\ x\ x1)\)\), \(k\ \((\(-1\) + p)\)\ \((1 + 
                    p)\)\ t\ x1\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateLnew and a constant multiple of candidateL"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateLnew is "\[InvisibleSpace]\(-1\)\
\[InvisibleSpace]" times matrix candidateL."\),
      SequenceForm[ 
      "Indeed, candidateLnew is ", -1, " times matrix candidateL."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix L (candidateL)"\)], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(k\ \((\(-1\) + p)\)\ \((1 + 
                    p)\)\ t\ x\), \(\(-t\)\ \((\(-k\^2\) + p\^2 - p\ x\ x1 + 
                    k\^2\ p\ x\ x1)\)\)},
            {\(t\ \((\(-p\) + k\^2\ p - k\^2\ x\ x1 + 
                    p\^2\ x\ x1)\)\), \(\(-k\)\ \((\(-1\) + p)\)\ \((1 + 
                    p)\)\ t\ x1\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry L11 of candidate L (entrycandidateL11) "\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(k\ \((\(-1\) + p)\)\ \((1 + p)\)\ t\ x\)], "Print"],

Cell[BoxData[
    \("Entry L12 of candidate L (entrycandidateL12) "\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(-t\)\ \((\(-k\^2\) + p\^2 - p\ x\ x1 + k\^2\ p\ x\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 of candidate L (entrycandidateL21) "\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(t\ \((\(-p\) + k\^2\ p - k\^2\ x\ x1 + p\^2\ x\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L22 of candidate L (entrycandidateL22) "\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\(-k\)\ \((\(-1\) + p)\)\ \((1 + p)\)\ t\ x1\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate M (M_c)."\)], "Print"],

Cell[BoxData[
    \("Change the variables in L_c."\)], "Print"],

Cell[BoxData[
    \("This is candidateMnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(-k\)\ \((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ x\), \(s\ \((\(-k\^2\) + q\^2 - q\ x\ x2 + 
                    k\^2\ q\ x\ x2)\)\)},
            {\(\(-s\)\ \((\(-q\) + k\^2\ q - k\^2\ x\ x2 + 
                    q\^2\ x\ x2)\)\), \(k\ \((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ x2\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateMnew and a constant multiple of candidateM"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateMnew is "\[InvisibleSpace]\(-1\)\
\[InvisibleSpace]" times matrix candidateM."\),
      SequenceForm[ 
      "Indeed, candidateMnew is ", -1, " times matrix candidateM."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix M (candidateM)"\)], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(k\ \((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ x\), \(\(-s\)\ \((\(-k\^2\) + q\^2 - q\ x\ x2 + 
                    k\^2\ q\ x\ x2)\)\)},
            {\(s\ \((\(-q\) + k\^2\ q - k\^2\ x\ x2 + 
                    q\^2\ x\ x2)\)\), \(\(-k\)\ \((\(-1\) + q)\)\ \((1 + 
                    q)\)\ s\ x2\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry M11 of candidate M (entrycandidateM11) "\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(k\ \((\(-1\) + q)\)\ \((1 + q)\)\ s\ x\)], "Print"],

Cell[BoxData[
    \("Entry M12 of candidate M (entrycandidateM12) "\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(-s\)\ \((\(-k\^2\) + q\^2 - q\ x\ x2 + k\^2\ q\ x\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 of candidate M (entrycandidateM21) "\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(s\ \((\(-q\) + k\^2\ q - k\^2\ x\ x2 + q\^2\ x\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M22 of candidate M (entrycandidateM22) "\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\(-k\)\ \((\(-1\) + q)\)\ \((1 + q)\)\ s\ x2\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF THE LAX PAIR CONTINUES \
***************"\)], "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF CONSTRAINTS FOR t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices!"\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-1) element ON LATTICE,"\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + k)\)\ \((1 + k)\)\ \((k\^2\ q\ x1 - p\^2\ q\ x1 - 
                  k\^2\ p\ x2 + p\ q\^2\ x2)\)\ \((\(-p\)\ s1\ t + 
                  p\ q\^2\ s1\ t + q\ s\ t2 - p\^2\ q\ s\ t2 + s1\ t\ x\ x1 + 
                  p\^2\ s1\ t\ x\ x1 - q\^2\ s1\ t\ x\ x1 - 
                  p\^2\ q\^2\ s1\ t\ x\ x1 - p\ s1\ t\ x\^2\ x1\^2 + 
                  p\ q\^2\ s1\ t\ x\^2\ x1\^2 - s\ t2\ x\ x2 + 
                  p\^2\ s\ t2\ x\ x2 - q\^2\ s\ t2\ x\ x2 + 
                  p\^2\ q\^2\ s\ t2\ x\ x2 + q\ s\ t2\ x\^2\ x2\^2 - 
                  p\^2\ q\ s\ t2\ x\^2\ x2\^2)\))\)/\((\(-q\)\ x1 + 
              p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
              q\^2\ x\ x1\ x2)\)\)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12onlattice = "\)], "Print"],

Cell[BoxData[
    \(\((\((\(-1\) + k)\)\ k\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                q)\)\ x1\ x2\ \((p\ s1\ t - p\ q\^2\ s1\ t - q\ s\ t2 + 
                p\^2\ q\ s\ t2 - s1\ t\ x\ x1 - p\^2\ s1\ t\ x\ x1 + 
                q\^2\ s1\ t\ x\ x1 + p\^2\ q\^2\ s1\ t\ x\ x1 + 
                p\ s1\ t\ x\^2\ x1\^2 - p\ q\^2\ s1\ t\ x\^2\ x1\^2 + 
                s\ t2\ x\ x2 - p\^2\ s\ t2\ x\ x2 + q\^2\ s\ t2\ x\ x2 - 
                p\^2\ q\^2\ s\ t2\ x\ x2 - q\ s\ t2\ x\^2\ x2\^2 + 
                p\^2\ q\ s\ t2\ x\^2\ x2\^2)\))\)/\((\(-q\)\ x1 + 
            p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
            q\^2\ x\ x1\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-1) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + k)\)\ k\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                  q)\)\ \((p\ s1\ t - p\ q\^2\ s1\ t - q\ s\ t2 + 
                  p\^2\ q\ s\ t2 - s1\ t\ x\ x1 - p\^2\ s1\ t\ x\ x1 + 
                  q\^2\ s1\ t\ x\ x1 + p\^2\ q\^2\ s1\ t\ x\ x1 + 
                  p\ s1\ t\ x\^2\ x1\^2 - p\ q\^2\ s1\ t\ x\^2\ x1\^2 + 
                  s\ t2\ x\ x2 - p\^2\ s\ t2\ x\ x2 + q\^2\ s\ t2\ x\ x2 - 
                  p\^2\ q\^2\ s\ t2\ x\ x2 - q\ s\ t2\ x\^2\ x2\^2 + 
                  p\^2\ q\ s\ t2\ x\^2\ x2\^2)\))\)/\((\(-q\)\ x1 + 
              p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
              q\^2\ x\ x1\ x2)\)\)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\((\(-1\) + k)\)\ \((1 + k)\)\ \((k\^2\ q\ x1 - p\^2\ q\ x1 - 
                  k\^2\ p\ x2 + p\ q\^2\ x2)\)\ \((\(-p\)\ s1\ t + 
                  p\ q\^2\ s1\ t + q\ s\ t2 - p\^2\ q\ s\ t2 + s1\ t\ x\ x1 + 
                  p\^2\ s1\ t\ x\ x1 - q\^2\ s1\ t\ x\ x1 - 
                  p\^2\ q\^2\ s1\ t\ x\ x1 - p\ s1\ t\ x\^2\ x1\^2 + 
                  p\ q\^2\ s1\ t\ x\^2\ x1\^2 - s\ t2\ x\ x2 + 
                  p\^2\ s\ t2\ x\ x2 - q\^2\ s\ t2\ x\ x2 + 
                  p\^2\ q\^2\ s\ t2\ x\ x2 + q\ s\ t2\ x\^2\ x2\^2 - 
                  p\^2\ q\ s\ t2\ x\^2\ x2\^2)\))\)/\((\(-q\)\ x1 + 
              p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
              q\^2\ x\ x1\ x2)\)\)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("Compatibility testing of elements of matrix equation L2.M - M1.L = \
0"\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq11, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ \((1 + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\/\(\((\(-1\) + p)\)\ \((1 + p)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq12, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ \((1 + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\/\(\((\(-1\) + p)\)\ \((1 + p)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq21, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ \((1 + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\/\(\((\(-1\) + p)\)\ \((1 + p)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq22, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(\((\(-1\) + q)\)\ \((1 + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\/\(\((\(-1\) + p)\)\ \((1 + p)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************* CRUCIAL STEP: COMPUTATION OF t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Lc, det(matrixLc) = "\)], "Print"],

Cell[BoxData[
    \(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - 
          x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Mc, det(matrixMc) = "\)], "Print"],

Cell[BoxData[
    \(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - 
          x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("-----> Using algorithm (detmethod)! Coefficient t (tcondition)"\)], \
"Print"],

Cell[BoxData[
    \("t = "\)], "Print"],

Cell[BoxData[
    \(1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - \
x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("------> Using algorithm (detmethod)! Coefficient s (scondition)"\)], \
"Print"],

Cell[BoxData[
    \("s = "\)], "Print"],

Cell[BoxData[
    \(1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - \
x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************************* TESTING t AND s ***************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("t and s DO NOT PASS the SYMBOLIC TEST YET."\)], "Print"],

Cell[BoxData[
    \("Either t and s do not satisfy the condition(s),"\)], "Print"],

Cell[BoxData[
    \("OR, more likely, Mathematica could not simplify the expression."\)], \
"Print"],

Cell[BoxData[
    \("The result will be numerically tested, with 12 tests where "\)], \
"Print"],

Cell[BoxData[
    \("the symbols are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Based on t and s (given in the data file),"\)], "Print"],

Cell[BoxData[
    \("the ratio (t2*s)/(t*s1) has been computed in two ways."\)], "Print"],

Cell[BoxData[
    \("The comparison PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("-----> t and s (given in the data file) appear to be CORRECT!"\)], \
"Print"],

Cell[BoxData[
    \("If controlpowerexpand and/or controlrootrules are set to True"\)], \
"Print"],

Cell[BoxData[
    \("in the data file, then further simplifications will be attempted."\)], \
"Print"],

Cell[BoxData[
    \("After using various rules to simplify the roots (rootrules),"\)], \
"Print"],

Cell[BoxData[
    \("t and s DO NOT PASS the SYMBOLIC TEST YET."\)], "Print"],

Cell[BoxData[
    \("Either t and s do not satisfy the condition(s),"\)], "Print"],

Cell[BoxData[
    \("OR, Mathematica still could not simplify the expression."\)], "Print"],

Cell[BoxData[
    \("If controlpowerexpand is set to True in the data file, then"\)], \
"Print"],

Cell[BoxData[
    \("additional simplifications will be attempted."\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("******* START OF TEST OF THE CONSISTENCY IN SQUARED FORM *******"\)], \
"Print"],

Cell[BoxData[
    \("Software will verify if t2^2 = ( (t*s1)/s )^2 in two ways!"\)], "Print"],

Cell[BoxData[
    \("Based on the given s and t"\)], "Print"],

Cell[BoxData[
    \("newtestcompatibilityonlatticesquared ON LATTICE should be zero:"\)], \
"Print"],

Cell[BoxData[
    \("newtestcompatibilityonlatticesquared = "\)], "Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("**** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" ****"\),
      SequenceForm[ "**** TEST RESULT = ", 0, " ****"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("(SHOULD BE ZERO)"\)], "Print"],

Cell[BoxData[
    \("NEW compatibility TEST (squared) for t and s is SATISFIED!"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Using t = "\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \
\((1 + k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\[InvisibleSpace]" and s = "\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \
\((1 + k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\),
      SequenceForm[ "Using t = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ k, p], 
            Plus[ p, 
              Times[ -1, x, x1]], 
            Plus[ -1, 
              Times[ p, x, x1]]], 
          Rational[ -1, 2]], " and s = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ k, q], 
            Plus[ q, 
              Times[ -1, x, x2]], 
            Plus[ -1, 
              Times[ q, x, x2]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix L (matrixL) for t = "\
\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + p)\
\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix L (matrixL) for t = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ k, p], 
            Plus[ p, 
              Times[ -1, x, x1]], 
            Plus[ -1, 
              Times[ p, x, x1]]], 
          Rational[ -1, 2]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(k\ \((\(-1\) + p)\)\ \((1 + 
                        p)\)\ x\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\), \
\(-\(\(\(-k\^2\) + p\^2 - p\ x\ x1 + 
                      k\^2\ p\ x\ x1\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\)\)},
            {\(\(\(-p\) + k\^2\ p - k\^2\ x\ x1 + 
                    p\^2\ x\ x1\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\), \(-\(\(k\ \
\((\(-1\) + p)\)\ \((1 + 
                          p)\)\ x1\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of L below are for t = "\
\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + p)\
\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\),
      SequenceForm[ "The elements of L below are for t = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ k, p], 
            Plus[ p, 
              Times[ -1, x, x1]], 
            Plus[ -1, 
              Times[ p, x, x1]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry L11 (entryL11)"\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(\(k\ \((\(-1\) + p)\)\ \((1 + p)\)\ x\)\/\@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ \
x1)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 (entryL12)"\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-k\^2\) + p\^2 - p\ x\ x1 + 
            k\^2\ p\ x\ x1\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 (entryL21)"\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(\(\(-p\) + k\^2\ p - k\^2\ x\ x1 + p\^2\ x\ x1\)\/\@\(\((\(-1\) + k)\)\ \
\((1 + k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L22 (entryL22)"\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\ \((\(-1\) + p)\)\ \((1 + 
                p)\)\ x1\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix M (matrixM) for s = "\
\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((k + q)\
\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix M (matrixM) for s = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ k, q], 
            Plus[ q, 
              Times[ -1, x, x2]], 
            Plus[ -1, 
              Times[ q, x, x2]]], 
          Rational[ -1, 2]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(k\ \((\(-1\) + q)\)\ \((1 + 
                        q)\)\ x\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\), \
\(-\(\(\(-k\^2\) + q\^2 - q\ x\ x2 + 
                      k\^2\ q\ x\ x2\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\)\)},
            {\(\(\(-q\) + k\^2\ q - k\^2\ x\ x2 + 
                    q\^2\ x\ x2\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\), \(-\(\(k\ \
\((\(-1\) + q)\)\ \((1 + 
                          q)\)\ x2\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of M below are for s = "\
\[InvisibleSpace]1\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((k + q)\
\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\),
      SequenceForm[ "The elements of M below are for s = ", 
        Power[ 
          Times[ 
            Plus[ -1, k], 
            Plus[ 1, k], 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ k, q], 
            Plus[ q, 
              Times[ -1, x, x2]], 
            Plus[ -1, 
              Times[ q, x, x2]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry M11 (entryM11)"\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(\(k\ \((\(-1\) + q)\)\ \((1 + q)\)\ x\)\/\@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ \
x2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 (entryM12)"\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-k\^2\) + q\^2 - q\ x\ x2 + 
            k\^2\ q\ x\ x2\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 (entryM21)"\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(\(\(-q\) + k\^2\ q - k\^2\ x\ x2 + q\^2\ x\ x2\)\/\@\(\((\(-1\) + k)\)\ \
\((1 + k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\
\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M22 (entryM22)"\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\ \((\(-1\) + q)\)\ \((1 + 
                q)\)\ x2\)\/\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************** FINAL TEST OF THE COMPUTED LAX PAIR \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("Compatibility matrix L2.M - M1.L, ON LATTICE"\)], "Print"],

Cell[BoxData[
    \("finalcompatibilitymatrixonlattice ="\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((\(-k\^2\)\ q\ x1 + 
                          p\^2\ q\ x1 + k\^2\ p\ x2 - 
                          p\ q\^2\ x2)\)\ \((\(-q\)\ \@\(\((\(-1\) + k)\)\ \
\((1 + k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\
\)\)\ \@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + \
q)\)\^2\ \((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ \
x1)\)\ \((q\ x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ \
x1 - p\ x2 + p\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + \
q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ \
x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ \
x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) + \
k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\ q\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\
\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\ q\^2\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ \
x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + \
p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(\((\(-1\) + k)\)\ \((1 \
+ k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\)\ \((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - 
                          p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
                          q\^2\ x\ x1\ x2)\)\)\)\), \(\(\((\(-1\) + 
                        k)\)\ k\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                        q)\)\ x1\ x2\ \((\(-q\)\ \@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \@\(-\(\(\
\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + \
q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ \
x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ \
x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) + \
k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\ q\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\
\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\
\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\ q\^2\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\
\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ \
x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + \
p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(\((\(-1\) + k)\)\ \((1 \
+ k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\)\ \((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - 
                        p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
                        q\^2\ x\ x1\ x2)\)\)\)},
            {\(-\(\(\((\(-1\) + k)\)\ k\ \((1 + k)\)\ \((p - q)\)\ \((p + 
                          q)\)\ \((\(-q\)\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + \
q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ \
x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ \
x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + \
q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ \
x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ \
x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) + \
k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\ q\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - \
q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\
\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\^2\ q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                          p\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                          p\ q\^2\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + \
k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ \
x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + \
p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(\((\(-1\) + k)\)\ \((1 \
+ k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\)\ \((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - 
                          p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
                          q\^2\ x\ x1\ x2)\)\)\)\), \(\(\((\(-1\) + 
                        k)\)\ \((1 + k)\)\ \((k\^2\ p\ x1 - p\ q\^2\ x1 - 
                        k\^2\ q\ x2 + 
                        p\^2\ q\ x2)\)\ \((\(-q\)\ \@\(\((\(-1\) + k)\)\ \((1 \
+ k)\)\ \((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \
\((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + q)\)\^2\ \
\((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ x2)\)\ \
\((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ x2 + \
p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ q\^2\ x\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\
\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \@\(-\(\(\
\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \((1 + \
q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ x1 - p\ \
x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\ q\^2\ \
x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\ x\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - p)\)\ \((k + p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ x2\^2\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \
\((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) + \
k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\ q\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\
\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\
\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\
\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k \
- q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\(\((\
\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \
\((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \
\((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 \
- p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\^2\ q\^2\ x\ x1\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) + 
                        p\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \
\((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \@\(-\(\
\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + \
p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\
\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ \
q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\) - 
                        p\ q\^2\ x\^2\ x1\^2\ \@\(\((\(-1\) + k)\)\ \((1 + k)\
\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \
\((1 + p)\)\^2\ \((k + p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \
\((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ \
x2 - p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + q\^2\ x\ x1\ \
x2)\)\^2\)\))\)\)\/\(\@\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - p)\)\ \((k + \
p)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\)\ \@\(\((\(-1\) + k)\)\ \((1 \
+ k)\)\ \((k - q)\)\ \((k + q)\)\ \((q - x\ x2)\)\ \((\(-1\) + q\ x\ x2)\)\)\ \
\@\(-\(\(\((\(-1\) + k)\)\ \((1 + k)\)\ \((k - q)\)\ \((\(-1\) + q)\)\^2\ \
\((1 + q)\)\^2\ \((k + q)\)\ \((p - x\ x1)\)\ \((\(-1\) + p\ x\ x1)\)\ \((q\ \
x1 - p\ x2)\)\ \((\(-p\)\ x1 + q\ x2)\)\)\/\((q\ x1 - p\^2\ q\ x1 - p\ x2 + p\
\ q\^2\ x2 + p\^2\ x\ x1\ x2 - q\^2\ x\ x1\ x2)\)\^2\)\)\ \@\(-\(\(\((\(-1\) \
+ k)\)\ \((1 + k)\)\ \((k - p)\)\ \((\(-1\) + p)\)\^2\ \((1 + p)\)\^2\ \((k + \
p)\)\ \((\(-q\)\ x1 + p\ x2)\)\ \((p\ x1 - q\ x2)\)\ \((q - x\ x2)\)\ \((\(-1\
\) + q\ x\ x2)\)\)\/\((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - p\ q\^2\ x2 - p\^2\ \
x\ x1\ x2 + q\^2\ x\ x1\ x2)\)\^2\)\)\ \((\(-q\)\ x1 + p\^2\ q\ x1 + p\ x2 - 
                        p\ q\^2\ x2 - p\^2\ x\ x1\ x2 + 
                        q\^2\ x\ x1\ x2)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Either the Lax pair computed by the software does not satisfy"\)], \
"Print"],

Cell[BoxData[
    \("the Lax equation OR, more likely, Mathematica could not "\)], "Print"],

Cell[BoxData[
    \("simplify the resulting matrix."\)], "Print"],

Cell[BoxData[
    \("Matrix will be tested with 12 numeric tests where the symbols"\)], \
"Print"],

Cell[BoxData[
    \("are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Upon substitution into the Lax equation, the computed Lax pair"\)], \
"Print"],

Cell[BoxData[
    \("PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("The computed Lax pair SATISFIES the Lax equation"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]625\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 625, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Code for computation of Lax pairs (July 5, 2009) was successfully \
loaded."\)], "Print"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1112, 740},
WindowMargins->{{48, Automatic}, {Automatic, 49}},
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 78, 1, 42, "Input"],
Cell[1857, 56, 61, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1955, 62, 61, 1, 42, "Input"],
Cell[2019, 65, 104, 2, 35, "Print"],
Cell[2126, 69, 275, 5, 35, "Print"],
Cell[2404, 76, 106, 2, 35, "Print"],
Cell[2513, 80, 103, 2, 35, "Print"],
Cell[2619, 84, 106, 2, 35, "Print"],
Cell[2728, 88, 82, 1, 35, "Print"],
Cell[2813, 91, 82, 1, 35, "Print"],
Cell[2898, 94, 78, 1, 35, "Print"],
Cell[2979, 97, 81, 1, 35, "Print"],
Cell[3063, 100, 81, 1, 35, "Print"],
Cell[3147, 103, 100, 2, 35, "Print"],
Cell[3250, 107, 99, 2, 35, "Print"],
Cell[3352, 111, 100, 2, 35, "Print"],
Cell[3455, 115, 99, 2, 35, "Print"],
Cell[3557, 119, 82, 1, 35, "Print"],
Cell[3642, 122, 49, 1, 35, "Print"],
Cell[3694, 125, 51, 1, 35, "Print"],
Cell[3748, 128, 56, 1, 35, "Print"],
Cell[3807, 131, 106, 2, 35, "Print"],
Cell[3916, 135, 275, 5, 35, "Print"],
Cell[4194, 142, 106, 2, 35, "Print"],
Cell[4303, 146, 103, 2, 35, "Print"],
Cell[4409, 150, 106, 2, 35, "Print"],
Cell[4518, 154, 101, 2, 35, "Print"],
Cell[4622, 158, 100, 2, 35, "Print"],
Cell[4725, 162, 101, 2, 35, "Print"],
Cell[4829, 166, 100, 2, 35, "Print"],
Cell[4932, 170, 82, 1, 35, "Print"],
Cell[5017, 173, 73, 1, 35, "Print"],
Cell[5093, 176, 105, 2, 35, "Print"],
Cell[5201, 180, 97, 2, 35, "Print"],
Cell[5301, 184, 89, 1, 35, "Print"],
Cell[5393, 187, 49, 1, 35, "Print"],
Cell[5445, 190, 51, 1, 35, "Print"],
Cell[5499, 193, 56, 1, 35, "Print"],
Cell[5558, 196, 106, 2, 35, "Print"],
Cell[5667, 200, 105, 2, 35, "Print"],
Cell[5775, 204, 92, 1, 35, "Print"],
Cell[5870, 207, 92, 1, 35, "Print"],
Cell[5965, 210, 92, 1, 35, "Print"],
Cell[6060, 213, 92, 1, 35, "Print"],
Cell[6155, 216, 92, 1, 35, "Print"],
Cell[6250, 219, 92, 1, 35, "Print"],
Cell[6345, 222, 92, 1, 35, "Print"],
Cell[6440, 225, 92, 1, 35, "Print"],
Cell[6535, 228, 105, 2, 35, "Print"],
Cell[6643, 232, 222, 4, 35, "Print"],
Cell[6868, 238, 212, 3, 37, "Print"],
Cell[7083, 243, 102, 2, 35, "Print"],
Cell[7188, 247, 252, 5, 35, "Print"],
Cell[7443, 254, 242, 5, 35, "Print"],
Cell[7688, 261, 236, 5, 35, "Print"],
Cell[7927, 268, 201, 4, 35, "Print"],
Cell[8131, 274, 191, 4, 35, "Print"],
Cell[8325, 280, 183, 3, 35, "Print"],
Cell[8511, 285, 203, 4, 35, "Print"],
Cell[8717, 291, 234, 5, 35, "Print"],
Cell[8954, 298, 106, 2, 35, "Print"],
Cell[9063, 302, 91, 1, 35, "Print"],
Cell[9157, 305, 212, 3, 37, "Print"],
Cell[9372, 310, 72, 1, 35, "Print"],
Cell[9447, 313, 213, 3, 37, "Print"],
Cell[9663, 318, 77, 1, 35, "Print"],
Cell[9743, 321, 213, 3, 37, "Print"],
Cell[9959, 326, 106, 2, 35, "Print"],
Cell[10068, 330, 53, 1, 35, "Print"],
Cell[10124, 333, 232, 3, 59, "Print"],
Cell[10359, 338, 54, 1, 35, "Print"],
Cell[10416, 341, 227, 3, 59, "Print"],
Cell[10646, 346, 54, 1, 35, "Print"],
Cell[10703, 349, 227, 3, 59, "Print"],
Cell[10933, 354, 102, 2, 35, "Print"],
Cell[11038, 358, 105, 2, 35, "Print"],
Cell[11146, 362, 295, 5, 59, "Print"],
Cell[11444, 369, 106, 2, 35, "Print"],
Cell[11553, 373, 282, 4, 59, "Print"],
Cell[11838, 379, 105, 2, 35, "Print"],
Cell[11946, 383, 101, 2, 35, "Print"],
Cell[12050, 387, 106, 2, 35, "Print"],
Cell[12159, 391, 102, 2, 35, "Print"],
Cell[12264, 395, 34, 1, 35, "Print"],
Cell[12301, 398, 226, 4, 35, "Print"],
Cell[12530, 404, 78, 1, 35, "Print"],
Cell[12611, 407, 104, 2, 35, "Print"],
Cell[12718, 411, 104, 2, 35, "Print"],
Cell[12825, 415, 88, 1, 35, "Print"],
Cell[12916, 418, 85, 1, 35, "Print"],
Cell[13004, 421, 244, 3, 59, "Print"],
Cell[13251, 426, 85, 1, 35, "Print"],
Cell[13339, 429, 244, 3, 59, "Print"],
Cell[13586, 434, 106, 2, 35, "Print"],
Cell[13695, 438, 88, 1, 35, "Print"],
Cell[13786, 441, 82, 1, 35, "Print"],
Cell[13871, 444, 58, 1, 35, "Print"],
Cell[13932, 447, 507, 11, 62, "Print"],
Cell[14442, 460, 102, 2, 35, "Print"],
Cell[14547, 464, 57, 1, 35, "Print"],
Cell[14607, 467, 226, 7, 52, "Print"],
Cell[14836, 476, 261, 5, 35, "Print"],
Cell[15100, 483, 103, 2, 35, "Print"],
Cell[15206, 487, 76, 1, 35, "Print"],
Cell[15285, 490, 39, 1, 35, "Print"],
Cell[15327, 493, 507, 11, 62, "Print"],
Cell[15837, 506, 106, 2, 35, "Print"],
Cell[15946, 510, 80, 1, 35, "Print"],
Cell[16029, 513, 41, 1, 35, "Print"],
Cell[16073, 516, 71, 1, 35, "Print"],
Cell[16147, 519, 80, 1, 35, "Print"],
Cell[16230, 522, 41, 1, 35, "Print"],
Cell[16274, 525, 91, 1, 37, "Print"],
Cell[16368, 528, 80, 1, 35, "Print"],
Cell[16451, 531, 41, 1, 35, "Print"],
Cell[16495, 534, 86, 1, 37, "Print"],
Cell[16584, 537, 80, 1, 35, "Print"],
Cell[16667, 540, 41, 1, 35, "Print"],
Cell[16711, 543, 77, 1, 35, "Print"],
Cell[16791, 546, 106, 2, 35, "Print"],
Cell[16900, 550, 88, 1, 35, "Print"],
Cell[16991, 553, 63, 1, 35, "Print"],
Cell[17057, 556, 58, 1, 35, "Print"],
Cell[17118, 559, 507, 11, 62, "Print"],
Cell[17628, 572, 102, 2, 35, "Print"],
Cell[17733, 576, 57, 1, 35, "Print"],
Cell[17793, 579, 226, 7, 52, "Print"],
Cell[18022, 588, 261, 5, 35, "Print"],
Cell[18286, 595, 103, 2, 35, "Print"],
Cell[18392, 599, 76, 1, 35, "Print"],
Cell[18471, 602, 39, 1, 35, "Print"],
Cell[18513, 605, 507, 11, 62, "Print"],
Cell[19023, 618, 106, 2, 35, "Print"],
Cell[19132, 622, 80, 1, 35, "Print"],
Cell[19215, 625, 41, 1, 35, "Print"],
Cell[19259, 628, 71, 1, 35, "Print"],
Cell[19333, 631, 80, 1, 35, "Print"],
Cell[19416, 634, 41, 1, 35, "Print"],
Cell[19460, 637, 91, 1, 37, "Print"],
Cell[19554, 640, 80, 1, 35, "Print"],
Cell[19637, 643, 41, 1, 35, "Print"],
Cell[19681, 646, 86, 1, 37, "Print"],
Cell[19770, 649, 80, 1, 35, "Print"],
Cell[19853, 652, 41, 1, 35, "Print"],
Cell[19897, 655, 77, 1, 35, "Print"],
Cell[19977, 658, 104, 2, 35, "Print"],
Cell[20084, 662, 103, 2, 35, "Print"],
Cell[20190, 666, 104, 2, 35, "Print"],
Cell[20297, 670, 104, 2, 35, "Print"],
Cell[20404, 674, 84, 1, 35, "Print"],
Cell[20491, 677, 64, 1, 35, "Print"],
Cell[20558, 680, 762, 11, 115, "Print"],
Cell[21323, 693, 85, 1, 35, "Print"],
Cell[21411, 696, 64, 1, 35, "Print"],
Cell[21478, 699, 687, 10, 115, "Print"],
Cell[22168, 711, 85, 1, 35, "Print"],
Cell[22256, 714, 64, 1, 35, "Print"],
Cell[22323, 717, 706, 10, 115, "Print"],
Cell[23032, 729, 85, 1, 35, "Print"],
Cell[23120, 732, 64, 1, 35, "Print"],
Cell[23187, 735, 762, 11, 115, "Print"],
Cell[23952, 748, 105, 2, 35, "Print"],
Cell[24060, 752, 105, 2, 35, "Print"],
Cell[24168, 756, 87, 1, 35, "Print"],
Cell[24258, 759, 78, 1, 35, "Print"],
Cell[24339, 762, 51, 1, 35, "Print"],
Cell[24393, 765, 189, 3, 54, "Print"],
Cell[24585, 770, 87, 1, 35, "Print"],
Cell[24675, 773, 78, 1, 35, "Print"],
Cell[24756, 776, 51, 1, 35, "Print"],
Cell[24810, 779, 189, 3, 54, "Print"],
Cell[25002, 784, 87, 1, 35, "Print"],
Cell[25092, 787, 78, 1, 35, "Print"],
Cell[25173, 790, 51, 1, 35, "Print"],
Cell[25227, 793, 189, 3, 54, "Print"],
Cell[25419, 798, 87, 1, 35, "Print"],
Cell[25509, 801, 78, 1, 35, "Print"],
Cell[25590, 804, 51, 1, 35, "Print"],
Cell[25644, 807, 189, 3, 54, "Print"],
Cell[25836, 812, 103, 2, 35, "Print"],
Cell[25942, 816, 103, 2, 35, "Print"],
Cell[26048, 820, 103, 2, 35, "Print"],
Cell[26154, 824, 106, 2, 35, "Print"],
Cell[26263, 828, 77, 1, 35, "Print"],
Cell[26343, 831, 141, 2, 35, "Print"],
Cell[26487, 835, 77, 1, 35, "Print"],
Cell[26567, 838, 141, 2, 35, "Print"],
Cell[26711, 842, 106, 2, 35, "Print"],
Cell[26820, 846, 148, 2, 60, "Print"],
Cell[26971, 850, 99, 2, 35, "Print"],
Cell[27073, 854, 39, 1, 35, "Print"],
Cell[27115, 857, 141, 2, 58, "Print"],
Cell[27259, 861, 104, 2, 35, "Print"],
Cell[27366, 865, 100, 2, 35, "Print"],
Cell[27469, 869, 39, 1, 35, "Print"],
Cell[27511, 872, 141, 2, 58, "Print"],
Cell[27655, 876, 104, 2, 35, "Print"],
Cell[27762, 880, 106, 2, 35, "Print"],
Cell[27871, 884, 148, 2, 60, "Print"],
Cell[28022, 888, 77, 1, 35, "Print"],
Cell[28102, 891, 82, 1, 35, "Print"],
Cell[28187, 894, 100, 2, 35, "Print"],
Cell[28290, 898, 96, 2, 35, "Print"],
Cell[28389, 902, 90, 1, 35, "Print"],
Cell[28482, 905, 77, 1, 35, "Print"],
Cell[28562, 908, 89, 1, 35, "Print"],
Cell[28654, 911, 77, 1, 35, "Print"],
Cell[28734, 914, 73, 1, 35, "Print"],
Cell[28810, 917, 98, 2, 35, "Print"],
Cell[28911, 921, 98, 2, 35, "Print"],
Cell[29012, 925, 102, 2, 35, "Print"],
Cell[29117, 929, 97, 2, 35, "Print"],
Cell[29217, 933, 77, 1, 35, "Print"],
Cell[29297, 936, 82, 1, 35, "Print"],
Cell[29382, 939, 91, 1, 35, "Print"],
Cell[29476, 942, 96, 2, 35, "Print"],
Cell[29575, 946, 80, 1, 35, "Print"],
Cell[29658, 949, 106, 2, 35, "Print"],
Cell[29767, 953, 101, 2, 35, "Print"],
Cell[29871, 957, 93, 1, 35, "Print"],
Cell[29967, 960, 61, 1, 35, "Print"],
Cell[30031, 963, 100, 2, 35, "Print"],
Cell[30134, 967, 74, 1, 35, "Print"],
Cell[30211, 970, 34, 1, 35, "Print"],
Cell[30248, 973, 196, 4, 35, "Print"],
Cell[30447, 979, 51, 1, 35, "Print"],
Cell[30501, 982, 93, 1, 35, "Print"],
Cell[30597, 985, 106, 2, 35, "Print"],
Cell[30706, 989, 1039, 31, 111, "Print"],
Cell[31748, 1022, 639, 17, 58, "Print"],
Cell[32390, 1041, 105, 2, 35, "Print"],
Cell[32498, 1045, 39, 1, 35, "Print"],
Cell[32540, 1048, 943, 17, 98, "Print"],
Cell[33486, 1067, 105, 2, 35, "Print"],
Cell[33594, 1071, 612, 17, 58, "Print"],
Cell[34209, 1090, 55, 1, 35, "Print"],
Cell[34267, 1093, 41, 1, 35, "Print"],
Cell[34311, 1096, 181, 3, 58, "Print"],
Cell[34495, 1101, 55, 1, 35, "Print"],
Cell[34553, 1104, 41, 1, 35, "Print"],
Cell[34597, 1107, 210, 3, 63, "Print"],
Cell[34810, 1112, 55, 1, 35, "Print"],
Cell[34868, 1115, 41, 1, 35, "Print"],
Cell[34912, 1118, 190, 3, 63, "Print"],
Cell[35105, 1123, 55, 1, 35, "Print"],
Cell[35163, 1126, 41, 1, 35, "Print"],
Cell[35207, 1129, 206, 3, 58, "Print"],
Cell[35416, 1134, 105, 2, 35, "Print"],
Cell[35524, 1138, 639, 17, 58, "Print"],
Cell[36166, 1157, 105, 2, 35, "Print"],
Cell[36274, 1161, 39, 1, 35, "Print"],
Cell[36316, 1164, 943, 17, 98, "Print"],
Cell[37262, 1183, 105, 2, 35, "Print"],
Cell[37370, 1187, 612, 17, 58, "Print"],
Cell[37985, 1206, 55, 1, 35, "Print"],
Cell[38043, 1209, 41, 1, 35, "Print"],
Cell[38087, 1212, 181, 3, 58, "Print"],
Cell[38271, 1217, 55, 1, 35, "Print"],
Cell[38329, 1220, 41, 1, 35, "Print"],
Cell[38373, 1223, 210, 3, 63, "Print"],
Cell[38586, 1228, 55, 1, 35, "Print"],
Cell[38644, 1231, 41, 1, 35, "Print"],
Cell[38688, 1234, 190, 3, 63, "Print"],
Cell[38881, 1239, 55, 1, 35, "Print"],
Cell[38939, 1242, 41, 1, 35, "Print"],
Cell[38983, 1245, 206, 3, 58, "Print"],
Cell[39192, 1250, 103, 2, 35, "Print"],
Cell[39298, 1254, 103, 2, 35, "Print"],
Cell[39404, 1258, 148, 2, 60, "Print"],
Cell[39555, 1262, 79, 1, 35, "Print"],
Cell[39637, 1265, 70, 1, 35, "Print"],
Cell[39710, 1268, 32895, 447, 250, "Print"],
Cell[72608, 1717, 98, 2, 35, "Print"],
Cell[72709, 1721, 91, 1, 35, "Print"],
Cell[72803, 1724, 65, 1, 35, "Print"],
Cell[72871, 1727, 98, 2, 35, "Print"],
Cell[72972, 1731, 78, 1, 35, "Print"],
Cell[73053, 1734, 99, 2, 35, "Print"],
Cell[73155, 1738, 62, 1, 35, "Print"],
Cell[73220, 1741, 73, 1, 35, "Print"],
Cell[73296, 1744, 83, 1, 35, "Print"],
Cell[73382, 1747, 106, 2, 35, "Print"],
Cell[73491, 1751, 269, 5, 35, "Print"],
Cell[73763, 1758, 110, 2, 35, "Print"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

