(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     71265,       1771]*)
(*NotebookOutlinePosition[     71948,       1795]*)
(*  CellTagsIndexPosition[     71904,       1791]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \( (*\ Setting\ the\ working\ Directory . \ 
          Reading\ in\ the\ data\ file, \ 
      and\ the\ program\ for\ the\ computation\ of\ the\ Lax\ pair\ *) \)], \
"Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory["\<d:\\demolattices\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\demolattices\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<LaxPairLattices.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code for computation of Lax pairs (version of July 5, \
2009)"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]1\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  1) discrete potential KdV Equation (l_pKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  2) discrete modified KdV Equation  (l_mKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  3) discrete sine-Gordon Equation (l_sG.m)"\)], "Print"],

Cell[BoxData[
    \("  4) H1 equation (ABS classification) (l_H1.m)"\)], "Print"],

Cell[BoxData[
    \("  5) H2 equation (ABS classification) (l_H2.m)"\)], "Print"],

Cell[BoxData[
    \("  6) H3 equation (delta not 0) (ABS classification) (l_H3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  7) H3 equation (delta = 0) (ABS classification) (l_H3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  8) Q1 equation (delta not 0) (ABS classification) (l_Q1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  9) Q1 equation (delta = 0) (ABS classification) (l_Q1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  10) Q2 equation (ABS classification) (l_Q2.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  11) Q3 equation (delta not 0) (ABS classification) (l_Q3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  12) Q3 equation (delta = 0) (ABS classification) (l_Q3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  13) A1 equation (delta not 0) (ABS classification) (l_A1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  14) A1 equation (delta = 0) (ABS classification) (l_A1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  15) A2 equation (ABS classification) (l_A2.m)"\)], "Print"],

Cell[BoxData[
    \("  16) (alpha,beta) equation (l_abeq.m)"\)], "Print"],

Cell[BoxData[
    \("  17) discrete sine-Gordon Equation (testing parameters) \
(l_sGpar.m)"\)], "Print"],

Cell[BoxData[
    \("  18) discrete generalized modified KdV Equation (l_gmKdV.m)"\)], \
"Print"],

Cell[BoxData[
    \("  19) Q2 equation with more general terms (l_Q2rhs3.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]1\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  1) discrete potential KdV Equation (l_pKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  2) discrete modified KdV Equation  (l_mKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  3) discrete sine-Gordon Equation (l_sG.m)"\)], "Print"],

Cell[BoxData[
    \("  4) H1 equation (ABS classification) (l_H1.m)"\)], "Print"],

Cell[BoxData[
    \("  5) H2 equation (ABS classification) (l_H2.m)"\)], "Print"],

Cell[BoxData[
    \("  6) H3 equation (delta not 0) (ABS classification) (l_H3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  7) H3 equation (delta = 0) (ABS classification) (l_H3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  8) Q1 equation (delta not 0) (ABS classification) (l_Q1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  9) Q1 equation (delta = 0) (ABS classification) (l_Q1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  10) Q2 equation (ABS classification) (l_Q2.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("         WELCOME TO THE MATHEMATICA PROGRAM              "\)], "Print"],

Cell[BoxData[
    \("                  by WILLY HEREMAN                       "\)], "Print"],

Cell[BoxData[
    \("     FOR THE COMPUTATION OF LAX PAIRS OF NONLINEAR       "\)], "Print"],

Cell[BoxData[
    \("  PARTIAL DIFFERENCE EQUATIONS IN 2D (ON QUAD-GRAPHS)    "\)], "Print"],

Cell[BoxData[
    \(" Collaborators: Reinout Quispel and Peter van der Kamp   "\)], "Print"],

Cell[BoxData[
    \("           First released on July 22, 2008               "\)], "Print"],

Cell[BoxData[
    \("           Last updated: July 5, 2009                    "\)], "Print"],

Cell[BoxData[
    \("                    Copyright 2008                       "\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the discrete "\[InvisibleSpace]Q2\
\[InvisibleSpace]" equation:"\),
      SequenceForm[ "Working with the discrete ", Q2, " equation:"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-p\)\ \((p - q)\)\ q\ \((p\^2 - p\ q + q\^2)\) + 
        p\ \((x1 - x12)\)\ \((x - x2)\) - 
        q\ \((x - x1)\)\ \((\(-x12\) + x2)\) + 
        p\ \((p - q)\)\ q\ \((x + x1 + x12 + x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("********************** CONTROL SETTINGS *************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("LaxPairGiven (L and M are given in data file) is set \
to "\[InvisibleSpace]False\),
      SequenceForm[ 
      "LaxPairGiven (L and M are given in data file) is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("t and s are given in data file (byhand) is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ 
      "t and s are given in data file (byhand) is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Determinant method to compute t and s is set to: "\
\[InvisibleSpace]True\),
      SequenceForm[ 
      "Determinant method to compute t and s is set to: ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Test consistency on cube is set to \
"\[InvisibleSpace]True\),
      SequenceForm[ "Test consistency on cube is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of powerexpand is set to "\[InvisibleSpace]False\
\),
      SequenceForm[ "Use of powerexpand is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of rootrules is set to "\[InvisibleSpace]True\),
      SequenceForm[ "Use of rootrules is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of matrix N is set to: \
"\[InvisibleSpace]False\),
      SequenceForm[ "Computation of matrix N is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Application of gauge transformation is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ "Application of gauge transformation is set to: ", False],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \("******************* START OF THE COMPUTATION ************************"\
\)], "Print"],

Cell[BoxData[
    \("Working with lattice defined on front (F), latticefront:"\)], "Print"],

Cell[BoxData[
    \(\(-p\)\ \((p - q)\)\ q\ \((p\^2 - p\ q + q\^2)\) + 
        p\ \((x1 - x12)\)\ \((x - x2)\) - 
        q\ \((x - x1)\)\ \((\(-x12\) + x2)\) + 
        p\ \((p - q)\)\ q\ \((x + x1 + x12 + x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Lattice on ground (G), latticeground:"\)], "Print"],

Cell[BoxData[
    \(\(-k\)\ p\ \((\(-k\) + p)\)\ \((k\^2 - k\ p + p\^2)\) + 
        p\ \((x1 - x13)\)\ \((x - x3)\) - 
        k\ \((x - x1)\)\ \((\(-x13\) + x3)\) + 
        k\ p\ \((\(-k\) + p)\)\ \((x + x1 + x13 + x3)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Lattice on left face (L), latticeleftface:"\)], "Print"],

Cell[BoxData[
    \(\(-k\)\ q\ \((\(-k\) + q)\)\ \((k\^2 - k\ q + q\^2)\) + 
        q\ \((x2 - x23)\)\ \((x - x3)\) - 
        k\ \((x - x2)\)\ \((\(-x23\) + x3)\) + 
        k\ q\ \((\(-k\) + q)\)\ \((x + x2 + x23 + x3)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("**************** TESTING CONSISTENCY AROUND THE CUBE ****************"\
\)], "Print"],

Cell[BoxData[
    \("Computation  x12 ="\)], "Print"],

Cell[BoxData[
    \(\((p\^4\ q - 2\ p\^3\ q\^2 + 2\ p\^2\ q\^3 - p\ q\^4 - p\^2\ q\ x + 
          p\ q\^2\ x - p\^2\ q\ x1 + p\ q\^2\ x1 - p\ x\ x1 - p\^2\ q\ x2 + 
          p\ q\^2\ x2 + q\ x\ x2 + p\ x1\ x2 - q\ x1\ x2)\)/\((p\^2\ q - 
          p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Computation  x13 = "\)], "Print"],

Cell[BoxData[
    \(\((k\^4\ p - 2\ k\^3\ p\^2 + 2\ k\^2\ p\^3 - k\ p\^4 - k\^2\ p\ x + 
          k\ p\^2\ x - k\^2\ p\ x1 + k\ p\^2\ x1 + p\ x\ x1 - k\^2\ p\ x3 + 
          k\ p\^2\ x3 - k\ x\ x3 + k\ x1\ x3 - p\ x1\ x3)\)/\((k\^2\ p - 
          k\ p\^2 - k\ x + p\ x + k\ x1 - p\ x3)\)\)], "Print"],

Cell[BoxData[
    \("Computation  x23 = "\)], "Print"],

Cell[BoxData[
    \(\((k\^4\ q - 2\ k\^3\ q\^2 + 2\ k\^2\ q\^3 - k\ q\^4 - k\^2\ q\ x + 
          k\ q\^2\ x - k\^2\ q\ x2 + k\ q\^2\ x2 + q\ x\ x2 - k\^2\ q\ x3 + 
          k\ q\^2\ x3 - k\ x\ x3 + k\ x2\ x3 - q\ x2\ x3)\)/\((k\^2\ q - 
          k\ q\^2 - k\ x + q\ x + k\ x2 - q\ x3)\)\)], "Print"],

Cell[BoxData[
    \("*****************************************************************"\)], \
"Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x23 (x123choice1), x123 \
="\)], "Print"],

Cell[BoxData[
    \(\((\(-k\^4\)\ p + 2\ k\^3\ p\^2 - 2\ k\^2\ p\^3 + k\ p\^4 + k\^4\ q - 
          p\^4\ q - 2\ k\^3\ q\^2 + 2\ p\^3\ q\^2 + 2\ k\^2\ q\^3 - 
          2\ p\^2\ q\^3 - k\ q\^4 + p\ q\^4 + k\^2\ p\ x1 - k\ p\^2\ x1 - 
          k\^2\ q\ x1 + p\^2\ q\ x1 + k\ q\^2\ x1 - p\ q\^2\ x1 + 
          k\^2\ p\ x2 - k\ p\^2\ x2 - k\^2\ q\ x2 + p\^2\ q\ x2 + 
          k\ q\^2\ x2 - p\ q\^2\ x2 - p\ x1\ x2 + q\ x1\ x2 + k\^2\ p\ x3 - 
          k\ p\^2\ x3 - k\^2\ q\ x3 + p\^2\ q\ x3 + k\ q\^2\ x3 - 
          p\ q\^2\ x3 - k\ x1\ x3 + p\ x1\ x3 + k\ x2\ x3 - 
          q\ x2\ x3)\)/\((\(-k\^2\)\ p + k\ p\^2 + k\^2\ q - p\^2\ q - 
          k\ q\^2 + p\ q\^2 - k\ x1 + q\ x1 + k\ x2 - p\ x2 + p\ x3 - 
          q\ x3)\)\)], "Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x13, (x123choice2), x123 ="\
\)], "Print"],

Cell[BoxData[
    \(\((k\^4\ p - 2\ k\^3\ p\^2 + 2\ k\^2\ p\^3 - k\ p\^4 - k\^4\ q + 
          p\^4\ q + 2\ k\^3\ q\^2 - 2\ p\^3\ q\^2 - 2\ k\^2\ q\^3 + 
          2\ p\^2\ q\^3 + k\ q\^4 - p\ q\^4 - k\^2\ p\ x1 + k\ p\^2\ x1 + 
          k\^2\ q\ x1 - p\^2\ q\ x1 - k\ q\^2\ x1 + p\ q\^2\ x1 - 
          k\^2\ p\ x2 + k\ p\^2\ x2 + k\^2\ q\ x2 - p\^2\ q\ x2 - 
          k\ q\^2\ x2 + p\ q\^2\ x2 + p\ x1\ x2 - q\ x1\ x2 - k\^2\ p\ x3 + 
          k\ p\^2\ x3 + k\^2\ q\ x3 - p\^2\ q\ x3 - k\ q\^2\ x3 + 
          p\ q\^2\ x3 + k\ x1\ x3 - p\ x1\ x3 - k\ x2\ x3 + 
          q\ x2\ x3)\)/\((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + k\ q\^2 - 
          p\ q\^2 + k\ x1 - q\ x1 - k\ x2 + p\ x2 - p\ x3 + 
          q\ x3)\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("As soon as one consistency condition is violated the computation"\)], \
"Print"],

Cell[BoxData[
    \("will abort, unless candidates for L and M are given in the data file."\
\)], "Print"],

Cell[BoxData[
    \("Test if (x123choice1 - x123choice2) = 0, diffx123choice1choice2 ="\)], \
"Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("*** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" (SHOULD BE ZERO) ***"\),
      SequenceForm[ "*** TEST RESULT = ", 0, " (SHOULD BE ZERO) ***"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The equation is CONSISTENT around the cube!"\)], "Print"],

Cell[BoxData[
    \("************* BUILDING THE LAX PAIR (L_c and M_c) \
*****************"\)], "Print"],

Cell[BoxData[
    \("(c refers to candidate matrix), normalization factors t and s will \
"\)], "Print"],

Cell[BoxData[
    \("be computed below, or must be given in the data file "\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x13, gives x13hom = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\(-f\)\ k\^2\ p + g\ k\^4\ p + f\ k\ p\^2 - 2\ g\ k\^3\ p\^2 + 
            2\ g\ k\^2\ p\^3 - g\ k\ p\^4 - f\ k\ x - g\ k\^2\ p\ x + 
            g\ k\ p\^2\ x + f\ k\ x1 - f\ p\ x1 - g\ k\^2\ p\ x1 + 
            g\ k\ p\^2\ x1 + g\ p\ x\ x1)\)/\((f\ p - g\ k\^2\ p + 
            g\ k\ p\^2 + g\ k\ x - g\ p\ x - g\ k\ x1)\)\)\)\)], "Print"],

Cell[BoxData[
    \("Substitution of x3 = f/g into x23, gives x23hom = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((\(-f\)\ k\^2\ q + g\ k\^4\ q + f\ k\ q\^2 - 2\ g\ k\^3\ q\^2 + 
            2\ g\ k\^2\ q\^3 - g\ k\ q\^4 - f\ k\ x - g\ k\^2\ q\ x + 
            g\ k\ q\^2\ x + f\ k\ x2 - f\ q\ x2 - g\ k\^2\ q\ x2 + 
            g\ k\ q\^2\ x2 + g\ q\ x\ x2)\)/\((f\ q - g\ k\^2\ q + 
            g\ k\ q\^2 + g\ k\ x - g\ q\ x - g\ k\ x2)\)\)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate L (L_c)."\)], "Print"],

Cell[BoxData[
    \("Use partial derivatives of difference equation!"\)], "Print"],

Cell[BoxData[
    \("This is candidateLnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(t\ \((k\^2\ p - k\ p\^2 + k\ x - k\ x1 + 
                    p\ x1)\)\), \(\(-p\)\ t\ \((k\^4 - 2\ k\^3\ p + 
                    2\ k\^2\ p\^2 - k\ p\^3 - k\^2\ x + k\ p\ x - k\^2\ x1 + 
                    k\ p\ x1 + x\ x1)\)\)},
            {\(p\ t\), \(\(-t\)\ \((k\^2\ p - k\ p\^2 - k\ x + p\ x + 
                    k\ x1)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateLnew and a constant multiple of candidateL"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateLnew is "\[InvisibleSpace]1\
\[InvisibleSpace]" times matrix candidateL."\),
      SequenceForm[ 
      "Indeed, candidateLnew is ", 1, " times matrix candidateL."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix L (candidateL)"\)], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(t\ \((k\^2\ p - k\ p\^2 + k\ x - k\ x1 + 
                    p\ x1)\)\), \(\(-p\)\ t\ \((k\^4 - 2\ k\^3\ p + 
                    2\ k\^2\ p\^2 - k\ p\^3 - k\^2\ x + k\ p\ x - k\^2\ x1 + 
                    k\ p\ x1 + x\ x1)\)\)},
            {\(p\ t\), \(\(-t\)\ \((k\^2\ p - k\ p\^2 - k\ x + p\ x + 
                    k\ x1)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry L11 of candidate L (entrycandidateL11) "\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(t\ \((k\^2\ p - k\ p\^2 + k\ x - k\ x1 + p\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 of candidate L (entrycandidateL12) "\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(-p\)\ t\ \((k\^4 - 2\ k\^3\ p + 2\ k\^2\ p\^2 - k\ p\^3 - k\^2\ x + 
          k\ p\ x - k\^2\ x1 + k\ p\ x1 + x\ x1)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 of candidate L (entrycandidateL21) "\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(p\ t\)], "Print"],

Cell[BoxData[
    \("Entry L22 of candidate L (entrycandidateL22) "\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\(-t\)\ \((k\^2\ p - k\ p\^2 - k\ x + p\ x + k\ x1)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("ALTERNATE METHOD of setting up the candidate M (M_c)."\)], "Print"],

Cell[BoxData[
    \("Change the variables in L_c."\)], "Print"],

Cell[BoxData[
    \("This is candidateMnew :"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(s\ \((k\^2\ q - k\ q\^2 + k\ x - k\ x2 + 
                    q\ x2)\)\), \(q\ s\ \((\(-k\^4\) + 2\ k\^3\ q - 
                    2\ k\^2\ q\^2 + k\ q\^3 + k\^2\ x - k\ q\ x + k\^2\ x2 - 
                    k\ q\ x2 - x\ x2)\)\)},
            {\(q\ s\), \(\(-s\)\ \((k\^2\ q - k\ q\^2 - k\ x + q\ x + 
                    k\ x2)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Difference of candidateMnew and a constant multiple of candidateM"\)], \
"Print"],

Cell[BoxData[
    \("should be zero matrix:"\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Indeed, candidateMnew is "\[InvisibleSpace]1\
\[InvisibleSpace]" times matrix candidateM."\),
      SequenceForm[ 
      "Indeed, candidateMnew is ", 1, " times matrix candidateM."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------------------------------"\)],\
 "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix M (candidateM)"\)], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(s\ \((k\^2\ q - k\ q\^2 + k\ x - k\ x2 + 
                    q\ x2)\)\), \(\(-q\)\ s\ \((k\^4 - 2\ k\^3\ q + 
                    2\ k\^2\ q\^2 - k\ q\^3 - k\^2\ x + k\ q\ x - k\^2\ x2 + 
                    k\ q\ x2 + x\ x2)\)\)},
            {\(q\ s\), \(\(-s\)\ \((k\^2\ q - k\ q\^2 - k\ x + q\ x + 
                    k\ x2)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry M11 of candidate M (entrycandidateM11) "\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(s\ \((k\^2\ q - k\ q\^2 + k\ x - k\ x2 + q\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 of candidate M (entrycandidateM12) "\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(-q\)\ s\ \((k\^4 - 2\ k\^3\ q + 2\ k\^2\ q\^2 - k\ q\^3 - k\^2\ x + 
          k\ q\ x - k\^2\ x2 + k\ q\ x2 + x\ x2)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 of candidate M (entrycandidateM21) "\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(q\ s\)], "Print"],

Cell[BoxData[
    \("Entry M22 of candidate M (entrycandidateM22) "\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\(-s\)\ \((k\^2\ q - k\ q\^2 - k\ x + q\ x + k\ x2)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF THE LAX PAIR CONTINUES \
***************"\)], "Print"],

Cell[BoxData[
    \("************ COMPUTATION OF CONSTRAINTS FOR t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices!"\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-1) element ON LATTICE,"\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11onlattice = "\)], "Print"],

Cell[BoxData[
    \(\((k\ \((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + k\ q\^2 - p\ q\^2 - 
                k\ x1 + p\ x1 + k\ x2 - q\ x2)\)\ \((p\^4\ q\ s1\ t - 
                p\ q\^4\ s\ t2 - 2\ p\^2\ q\ s1\ t\ x + 
                2\ p\ q\^2\ s\ t2\ x + q\ s1\ t\ x\^2 - p\ s\ t2\ x\^2 - 
                2\ p\^2\ q\ s1\ t\ x1 - 2\ q\ s1\ t\ x\ x1 + 
                q\ s1\ t\ x1\^2 + 2\ p\ q\^2\ s\ t2\ x2 + 
                2\ p\ s\ t2\ x\ x2 - p\ s\ t2\ x2\^2)\))\)/\((p\^2\ q - 
            p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12onlattice = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\((k\ \((p - q)\)\ \((k\^4 - 2\ k\^3\ p + 2\ k\^2\ p\^2 - 
                  k\ p\^3 - 2\ k\^3\ q + 2\ k\^2\ p\ q - k\ p\^2\ q + 
                  p\^3\ q + 2\ k\^2\ q\^2 - k\ p\ q\^2 - p\^2\ q\^2 - 
                  k\ q\^3 + p\ q\^3 - k\^2\ x1 + k\ p\ x1 + k\ q\ x1 - 
                  p\ q\ x1 - k\^2\ x2 + k\ p\ x2 + k\ q\ x2 - p\ q\ x2 + 
                  x1\ x2)\)\ \((p\^4\ q\ s1\ t - p\ q\^4\ s\ t2 - 
                  2\ p\^2\ q\ s1\ t\ x + 2\ p\ q\^2\ s\ t2\ x + 
                  q\ s1\ t\ x\^2 - p\ s\ t2\ x\^2 - 2\ p\^2\ q\ s1\ t\ x1 - 
                  2\ q\ s1\ t\ x\ x1 + q\ s1\ t\ x1\^2 + 
                  2\ p\ q\^2\ s\ t2\ x2 + 2\ p\ s\ t2\ x\ x2 - 
                  p\ s\ t2\ x2\^2)\))\)/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - 
              q\ x1 + p\ x2)\)\)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-1) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21onlattice = "\)], "Print"],

Cell[BoxData[
    \(\((k\ \((p - q)\)\ \((p\^4\ q\ s1\ t - p\ q\^4\ s\ t2 - 
                2\ p\^2\ q\ s1\ t\ x + 2\ p\ q\^2\ s\ t2\ x + 
                q\ s1\ t\ x\^2 - p\ s\ t2\ x\^2 - 2\ p\^2\ q\ s1\ t\ x1 - 
                2\ q\ s1\ t\ x\ x1 + q\ s1\ t\ x1\^2 + 
                2\ p\ q\^2\ s\ t2\ x2 + 2\ p\ s\ t2\ x\ x2 - 
                p\ s\ t2\ x2\^2)\))\)/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - 
            q\ x1 + p\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22onlattice = "\)], "Print"],

Cell[BoxData[
    \(\((k\ \((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + k\ q\^2 - p\ q\^2 - 
                k\ x1 + p\ x1 + k\ x2 - q\ x2)\)\ \((p\^4\ q\ s1\ t - 
                p\ q\^4\ s\ t2 - 2\ p\^2\ q\ s1\ t\ x + 
                2\ p\ q\^2\ s\ t2\ x + q\ s1\ t\ x\^2 - p\ s\ t2\ x\^2 - 
                2\ p\^2\ q\ s1\ t\ x1 - 2\ q\ s1\ t\ x\ x1 + 
                q\ s1\ t\ x1\^2 + 2\ p\ q\^2\ s\ t2\ x2 + 
                2\ p\ s\ t2\ x\ x2 - p\ s\ t2\ x2\^2)\))\)/\((p\^2\ q - 
            p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\) \[Equal] 0\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("Compatibility testing of elements of matrix equation L2.M - M1.L = \
0"\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq11, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(q\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\/\(p\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + \
x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq12, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(q\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\/\(p\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + \
x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq21, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(q\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\/\(p\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + \
x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Fraction (t2 s)/(t s1) (fractiononlatticeeq22, from "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22 and EVALUATED ON LATTICE)"\)], "Print"],

Cell[BoxData[
    \("(t2 s)/(t s1) = "\)], "Print"],

Cell[BoxData[
    \(\(q\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\/\(p\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + \
x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************* CRUCIAL STEP: COMPUTATION OF t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Lc, det(matrixLc) = "\)], "Print"],

Cell[BoxData[
    \(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + 
          x1\^2)\)\)], "Print"],

Cell[BoxData[
    \("Determinant of matrix Mc, det(matrixMc) = "\)], "Print"],

Cell[BoxData[
    \(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + 
          x2\^2)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("-----> Using algorithm (detmethod)! Coefficient t (tcondition)"\)], \
"Print"],

Cell[BoxData[
    \("t = "\)], "Print"],

Cell[BoxData[
    \(1\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\
\ x1 + x1\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("------> Using algorithm (detmethod)! Coefficient s (scondition)"\)], \
"Print"],

Cell[BoxData[
    \("s = "\)], "Print"],

Cell[BoxData[
    \(1\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\
\ x2 + x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("*******************************************************************"\)]\
, "Print"],

Cell[BoxData[
    \("************************* TESTING t AND s ***************************"\
\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("t and s DO NOT PASS the SYMBOLIC TEST YET."\)], "Print"],

Cell[BoxData[
    \("Either t and s do not satisfy the condition(s),"\)], "Print"],

Cell[BoxData[
    \("OR, more likely, Mathematica could not simplify the expression."\)], \
"Print"],

Cell[BoxData[
    \("The result will be numerically tested, with 12 tests where "\)], \
"Print"],

Cell[BoxData[
    \("the symbols are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Based on t and s (given in the data file),"\)], "Print"],

Cell[BoxData[
    \("the ratio (t2*s)/(t*s1) has been computed in two ways."\)], "Print"],

Cell[BoxData[
    \("The comparison PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("-----> t and s (given in the data file) appear to be CORRECT!"\)], \
"Print"],

Cell[BoxData[
    \("If controlpowerexpand and/or controlrootrules are set to True"\)], \
"Print"],

Cell[BoxData[
    \("in the data file, then further simplifications will be attempted."\)], \
"Print"],

Cell[BoxData[
    \("After using various rules to simplify the roots (rootrules),"\)], \
"Print"],

Cell[BoxData[
    \("t and s DO NOT PASS the SYMBOLIC TEST YET."\)], "Print"],

Cell[BoxData[
    \("Either t and s do not satisfy the condition(s),"\)], "Print"],

Cell[BoxData[
    \("OR, Mathematica still could not simplify the expression."\)], "Print"],

Cell[BoxData[
    \("If controlpowerexpand is set to True in the data file, then"\)], \
"Print"],

Cell[BoxData[
    \("additional simplifications will be attempted."\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("******* START OF TEST OF THE CONSISTENCY IN SQUARED FORM *******"\)], \
"Print"],

Cell[BoxData[
    \("Software will verify if t2^2 = ( (t*s1)/s )^2 in two ways!"\)], "Print"],

Cell[BoxData[
    \("Based on the given s and t"\)], "Print"],

Cell[BoxData[
    \("newtestcompatibilityonlatticesquared ON LATTICE should be zero:"\)], \
"Print"],

Cell[BoxData[
    \("newtestcompatibilityonlatticesquared = "\)], "Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("**** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" ****"\),
      SequenceForm[ "**** TEST RESULT = ", 0, " ****"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("(SHOULD BE ZERO)"\)], "Print"],

Cell[BoxData[
    \("NEW compatibility TEST (squared) for t and s is SATISFIED!"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Using t = "\[InvisibleSpace]1\/\@\(k\ \((k - p)\)\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\
\[InvisibleSpace]" and s = "\[InvisibleSpace]1\/\@\(k\ \((k - q)\)\ \((q\^4 - \
2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\),
      SequenceForm[ "Using t = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ 
              Power[ p, 4], 
              Times[ -2, 
                Power[ p, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ p, 2], x1], 
              Times[ -2, x, x1], 
              Power[ x1, 2]]], 
          Rational[ -1, 2]], " and s = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ 
              Power[ q, 4], 
              Times[ -2, 
                Power[ q, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ q, 2], x2], 
              Times[ -2, x, x2], 
              Power[ x2, 2]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix L (matrixL) for t = "\
\[InvisibleSpace]1\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\
\ x1 - 2\ x\ x1 + x1\^2)\)\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix L (matrixL) for t = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ 
              Power[ p, 4], 
              Times[ -2, 
                Power[ p, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ p, 2], x1], 
              Times[ -2, x, x1], 
              Power[ x1, 2]]], 
          Rational[ -1, 2]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(k\^2\ p - k\ p\^2 + k\ x - k\ x1 + 
                    p\ x1\)\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 \
- 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\), \(\(p\ \((\(-k\^4\) + 2\ k\^3\ p - 
                        2\ k\^2\ p\^2 + k\ p\^3 + k\^2\ x - k\ p\ x + 
                        k\^2\ x1 - k\ p\ x1 - 
                        x\ x1)\)\)\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x \
+ x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\)},
            {\(p\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ \
x1 - 2\ x\ x1 + x1\^2)\)\)\), \(-\(\(k\^2\ p - k\ p\^2 - k\ x + p\ x + 
                      k\ x1\)\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + \
x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of L below are for t = "\
\[InvisibleSpace]1\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\
\ x1 - 2\ x\ x1 + x1\^2)\)\)\),
      SequenceForm[ "The elements of L below are for t = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, p]], 
            Plus[ 
              Power[ p, 4], 
              Times[ -2, 
                Power[ p, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ p, 2], x1], 
              Times[ -2, x, x1], 
              Power[ x1, 2]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry L11 (entryL11)"\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(\(k\^2\ p - k\ p\^2 + k\ x - k\ x1 + p\ x1\)\/\@\(k\ \((k - p)\)\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 (entryL12)"\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(p\ \((\(-k\^4\) + 2\ k\^3\ p - 2\ k\^2\ p\^2 + k\ p\^3 + k\^2\ x - k\ \
p\ x + k\^2\ x1 - k\ p\ x1 - x\ x1)\)\)\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ \
p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 (entryL21)"\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(p\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\
\ x1 + x1\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L22 (entryL22)"\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\^2\ p - k\ p\^2 - k\ x + p\ x + 
            k\ x1\)\/\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ \
p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Lax pair, matrix M (matrixM) for s = "\
\[InvisibleSpace]1\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\
\ x2 - 2\ x\ x2 + x2\^2)\)\)\[InvisibleSpace]" "\),
      SequenceForm[ "Lax pair, matrix M (matrixM) for s = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ 
              Power[ q, 4], 
              Times[ -2, 
                Power[ q, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ q, 2], x2], 
              Times[ -2, x, x2], 
              Power[ x2, 2]]], 
          Rational[ -1, 2]], " "],
      Editable->False]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(\(k\^2\ q - k\ q\^2 + k\ x - k\ x2 + 
                    q\ x2\)\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 \
- 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\), \(\(q\ \((\(-k\^4\) + 2\ k\^3\ q - 
                        2\ k\^2\ q\^2 + k\ q\^3 + k\^2\ x - k\ q\ x + 
                        k\^2\ x2 - k\ q\ x2 - 
                        x\ x2)\)\)\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\)},
            {\(q\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ \
x2 - 2\ x\ x2 + x2\^2)\)\)\), \(-\(\(k\^2\ q - k\ q\^2 - k\ x + q\ x + 
                      k\ x2\)\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("The elements of M below are for s = "\
\[InvisibleSpace]1\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\
\ x2 - 2\ x\ x2 + x2\^2)\)\)\),
      SequenceForm[ "The elements of M below are for s = ", 
        Power[ 
          Times[ k, 
            Plus[ k, 
              Times[ -1, q]], 
            Plus[ 
              Power[ q, 4], 
              Times[ -2, 
                Power[ q, 2], x], 
              Power[ x, 2], 
              Times[ -2, 
                Power[ q, 2], x2], 
              Times[ -2, x, x2], 
              Power[ x2, 2]]], 
          Rational[ -1, 2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Entry M11 (entryM11)"\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(\(k\^2\ q - k\ q\^2 + k\ x - k\ x2 + q\ x2\)\/\@\(k\ \((k - q)\)\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 (entryM12)"\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(q\ \((\(-k\^4\) + 2\ k\^3\ q - 2\ k\^2\ q\^2 + k\ q\^3 + k\^2\ x - k\ \
q\ x + k\^2\ x2 - k\ q\ x2 - x\ x2)\)\)\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ \
q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 (entryM21)"\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(q\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\
\ x2 + x2\^2)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M22 (entryM22)"\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\^2\ q - k\ q\^2 - k\ x + q\ x + 
            k\ x2\)\/\@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ \
q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************** FINAL TEST OF THE COMPUTED LAX PAIR \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("Compatibility matrix L2.M - M1.L, ON LATTICE"\)], "Print"],

Cell[BoxData[
    \("finalcompatibilitymatrixonlattice ="\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(k\ \((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + k\ q\^2 - 
                          p\ q\^2 - k\ x1 + p\ x1 + k\ x2 - 
                          q\ x2)\)\ \((p\ q\^4\ \@\(k\ \((k - p)\)\ \((p\^4 - \
2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\
\ q\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\
\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ \
x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ \
x2 + x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ \
x2)\)\^2\) - 
                          2\ p\ q\^2\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ \
p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\
\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                          p\ x\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + \
x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                          2\ p\ q\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ \
x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ \
q\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \
\((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\
\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ \
x1\ x2 + x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\
\)\^2\) - 
                          2\ p\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + \
x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                          p\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 \
- 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\^2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                          p\^4\ q\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ p\^2\ q\ x\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ \
q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\
\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                          q\ x\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ p\^2\ q\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ \
q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\
\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ q\ x\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ \
x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                          q\ x1\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\))\)\)\/\
\(\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\ \((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + 
                          p\ x2)\)\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\)\ \
\@\(\(k\ \((k - p)\)\ p\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ \
x2 + x2\^2)\)\ \((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ \
p\^2\ x1 + 4\ p\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ \
q\^2\ x2 - 2\ x1\ x2 + x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 \
+ p\ x2)\)\^2\)\)\)\), \(\(k\ \((p - q)\)\ \((k\^4 - 2\ k\^3\ p + 
                        2\ k\^2\ p\^2 - k\ p\^3 - 2\ k\^3\ q + 
                        2\ k\^2\ p\ q - k\ p\^2\ q + p\^3\ q + 
                        2\ k\^2\ q\^2 - k\ p\ q\^2 - p\^2\ q\^2 - k\ q\^3 + 
                        p\ q\^3 - k\^2\ x1 + k\ p\ x1 + k\ q\ x1 - p\ q\ x1 - 
                        k\^2\ x2 + k\ p\ x2 + k\ q\ x2 - p\ q\ x2 + 
                        x1\ x2)\)\ \((p\ q\^4\ \@\(k\ \((k - p)\)\ \((p\^4 - \
2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\
\ q\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\
\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ \
x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ \
x2 + x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ \
x2)\)\^2\) - 
                        2\ p\ q\^2\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ \
x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                        p\ x\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\
\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        2\ p\ q\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x \
+ x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        2\ p\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\
\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                        p\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - \
2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\^2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        p\^4\ q\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\
\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ p\^2\ q\ x\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ \
x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                        q\ x\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\
\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ p\^2\ q\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\
\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ q\ x\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                        q\ x1\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\))\)\)\/\
\(\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\ \((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + 
                        p\ x2)\)\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\)\ \
\@\(\(k\ \((k - p)\)\ p\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ \
x2 + x2\^2)\)\ \((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ \
p\^2\ x1 + 4\ p\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ \
q\^2\ x2 - 2\ x1\ x2 + x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 \
+ p\ x2)\)\^2\)\)\)},
            {\(-\(\(k\ \((p - 
                          q)\)\ \((p\ q\^4\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ \
p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\
\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                          2\ p\ q\^2\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ \
p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\
\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                          p\ x\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + \
x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                          2\ p\ q\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ \
x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ \
q\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \
\((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\
\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ \
x1\ x2 + x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\
\)\^2\) - 
                          2\ p\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + \
x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                          p\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 \
- 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\^2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                          p\^4\ q\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ p\^2\ q\ x\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ \
q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\
\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                          q\ x\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ p\^2\ q\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ \
q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\
\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 \
- 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 \
- 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                          2\ q\ x\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ \
x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                          q\ x1\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\))\)\)\/\
\(\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\ \((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + 
                          p\ x2)\)\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\)\ \
\@\(\(k\ \((k - p)\)\ p\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ \
x2 + x2\^2)\)\ \((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ \
p\^2\ x1 + 4\ p\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ \
q\^2\ x2 - 2\ x1\ x2 + x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 \
+ p\ x2)\)\^2\)\)\)\), \(\(k\ \((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + 
                        k\ q\^2 - p\ q\^2 + k\ x1 - q\ x1 - k\ x2 + 
                        p\ x2)\)\ \((p\ q\^4\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\
\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ \
q\^2\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \
\((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\
\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ \
x1\ x2 + x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\
\)\^2\) - 
                        2\ p\ q\^2\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ \
x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                        p\ x\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\
\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        2\ p\ q\^2\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x \
+ x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        2\ p\ x\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\
\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) + 
                        p\ \@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - \
2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\)\ x2\^2\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\) - 
                        p\^4\ q\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\
\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ p\^2\ q\ x\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ \
x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                        q\ x\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + x\
\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ p\^2\ q\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\
\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) + 
                        2\ q\ x\ x1\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x \
+ x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\) - 
                        q\ x1\^2\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - p)\)\ p\^2\ \
\((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + p\ x2)\)\^2\))\)\)\/\
\(\@\(k\ \((k - p)\)\ \((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + \
x1\^2)\)\)\ \((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 + 
                        p\ x2)\)\ \@\(k\ \((k - q)\)\ \((q\^4 - 2\ q\^2\ x + \
x\^2 - 2\ q\^2\ x2 - 2\ x\ x2 + x2\^2)\)\)\ \@\(\(k\ \((k - q)\)\ q\^2\ \
\((p\^4 - 2\ p\^2\ x + x\^2 - 2\ p\^2\ x1 - 2\ x\ x1 + x1\^2)\)\ \((p\^4 - 4\ \
p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ p\^2\ x1 + 4\ p\ q\ x1 - 2\ \
q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ q\^2\ x2 - 2\ x1\ x2 + \
x2\^2)\)\)\/\((\(-p\^2\)\ q + p\ q\^2 + p\ x - q\ x + q\ x1 - p\ x2)\)\^2\)\ \
\@\(\(k\ \((k - p)\)\ p\^2\ \((q\^4 - 2\ q\^2\ x + x\^2 - 2\ q\^2\ x2 - 2\ x\ \
x2 + x2\^2)\)\ \((p\^4 - 4\ p\^3\ q + 6\ p\^2\ q\^2 - 4\ p\ q\^3 + q\^4 - 2\ \
p\^2\ x1 + 4\ p\ q\ x1 - 2\ q\^2\ x1 + x1\^2 - 2\ p\^2\ x2 + 4\ p\ q\ x2 - 2\ \
q\^2\ x2 - 2\ x1\ x2 + x2\^2)\)\)\/\((p\^2\ q - p\ q\^2 - p\ x + q\ x - q\ x1 \
+ p\ x2)\)\^2\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("Either the Lax pair computed by the software does not satisfy"\)], \
"Print"],

Cell[BoxData[
    \("the Lax equation OR, more likely, Mathematica could not "\)], "Print"],

Cell[BoxData[
    \("simplify the resulting matrix."\)], "Print"],

Cell[BoxData[
    \("Matrix will be tested with 12 numeric tests where the symbols"\)], \
"Print"],

Cell[BoxData[
    \("are replaced by randomly selected integers."\)], "Print"],

Cell[BoxData[
    \("Upon substitution into the Lax equation, the computed Lax pair"\)], \
"Print"],

Cell[BoxData[
    \("PASSES the 12 NUMERIC TESTS"\)], "Print"],

Cell[BoxData[
    \("(based on randomly selected integers)."\)], "Print"],

Cell[BoxData[
    \("The computed Lax pair SATISFIES the Lax equation"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Total CPU time used in the current session is "\
\[InvisibleSpace]758\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "Total CPU time used in the current session is ", 758, " seconds."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Code for computation of Lax pairs (July 5, 2009) was successfully \
loaded."\)], "Print"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1264, 679},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 192, 4, 89, "Input"],

Cell[CellGroupData[{
Cell[1971, 59, 78, 1, 55, "Input"],
Cell[2052, 62, 61, 1, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2150, 68, 61, 1, 55, "Input"],
Cell[2214, 71, 104, 2, 47, "Print"],
Cell[2321, 75, 275, 5, 47, "Print"],
Cell[2599, 82, 106, 2, 47, "Print"],
Cell[2708, 86, 103, 2, 47, "Print"],
Cell[2814, 90, 106, 2, 47, "Print"],
Cell[2923, 94, 82, 1, 47, "Print"],
Cell[3008, 97, 82, 1, 47, "Print"],
Cell[3093, 100, 78, 1, 47, "Print"],
Cell[3174, 103, 81, 1, 47, "Print"],
Cell[3258, 106, 81, 1, 47, "Print"],
Cell[3342, 109, 100, 2, 47, "Print"],
Cell[3445, 113, 99, 2, 47, "Print"],
Cell[3547, 117, 100, 2, 47, "Print"],
Cell[3650, 121, 99, 2, 47, "Print"],
Cell[3752, 125, 82, 1, 47, "Print"],
Cell[3837, 128, 49, 1, 47, "Print"],
Cell[3889, 131, 51, 1, 47, "Print"],
Cell[3943, 134, 56, 1, 47, "Print"],
Cell[4002, 137, 106, 2, 47, "Print"],
Cell[4111, 141, 275, 5, 47, "Print"],
Cell[4389, 148, 106, 2, 47, "Print"],
Cell[4498, 152, 103, 2, 47, "Print"],
Cell[4604, 156, 106, 2, 47, "Print"],
Cell[4713, 160, 101, 2, 47, "Print"],
Cell[4817, 164, 100, 2, 47, "Print"],
Cell[4920, 168, 101, 2, 47, "Print"],
Cell[5024, 172, 100, 2, 47, "Print"],
Cell[5127, 176, 82, 1, 47, "Print"],
Cell[5212, 179, 73, 1, 47, "Print"],
Cell[5288, 182, 105, 2, 47, "Print"],
Cell[5396, 186, 97, 2, 47, "Print"],
Cell[5496, 190, 89, 1, 47, "Print"],
Cell[5588, 193, 49, 1, 47, "Print"],
Cell[5640, 196, 51, 1, 47, "Print"],
Cell[5694, 199, 56, 1, 47, "Print"],
Cell[5753, 202, 106, 2, 47, "Print"],
Cell[5862, 206, 275, 5, 47, "Print"],
Cell[6140, 213, 106, 2, 47, "Print"],
Cell[6249, 217, 103, 2, 47, "Print"],
Cell[6355, 221, 106, 2, 47, "Print"],
Cell[6464, 225, 82, 1, 47, "Print"],
Cell[6549, 228, 82, 1, 47, "Print"],
Cell[6634, 231, 78, 1, 47, "Print"],
Cell[6715, 234, 81, 1, 47, "Print"],
Cell[6799, 237, 81, 1, 47, "Print"],
Cell[6883, 240, 100, 2, 47, "Print"],
Cell[6986, 244, 99, 2, 47, "Print"],
Cell[7088, 248, 100, 2, 47, "Print"],
Cell[7191, 252, 99, 2, 47, "Print"],
Cell[7293, 256, 82, 1, 47, "Print"],
Cell[7378, 259, 49, 1, 47, "Print"],
Cell[7430, 262, 51, 1, 47, "Print"],
Cell[7484, 265, 56, 1, 47, "Print"],
Cell[7543, 268, 106, 2, 47, "Print"],
Cell[7652, 272, 105, 2, 47, "Print"],
Cell[7760, 276, 92, 1, 47, "Print"],
Cell[7855, 279, 92, 1, 47, "Print"],
Cell[7950, 282, 92, 1, 47, "Print"],
Cell[8045, 285, 92, 1, 47, "Print"],
Cell[8140, 288, 92, 1, 47, "Print"],
Cell[8235, 291, 92, 1, 47, "Print"],
Cell[8330, 294, 92, 1, 47, "Print"],
Cell[8425, 297, 92, 1, 47, "Print"],
Cell[8520, 300, 105, 2, 47, "Print"],
Cell[8628, 304, 222, 4, 47, "Print"],
Cell[8853, 310, 237, 4, 82, "Print"],
Cell[9093, 316, 102, 2, 47, "Print"],
Cell[9198, 320, 252, 5, 47, "Print"],
Cell[9453, 327, 242, 5, 47, "Print"],
Cell[9698, 334, 236, 5, 47, "Print"],
Cell[9937, 341, 201, 4, 47, "Print"],
Cell[10141, 347, 191, 4, 47, "Print"],
Cell[10335, 353, 183, 3, 47, "Print"],
Cell[10521, 358, 203, 4, 47, "Print"],
Cell[10727, 364, 234, 5, 47, "Print"],
Cell[10964, 371, 106, 2, 47, "Print"],
Cell[11073, 375, 91, 1, 47, "Print"],
Cell[11167, 378, 237, 4, 82, "Print"],
Cell[11407, 384, 72, 1, 47, "Print"],
Cell[11482, 387, 247, 4, 82, "Print"],
Cell[11732, 393, 77, 1, 47, "Print"],
Cell[11812, 396, 247, 4, 82, "Print"],
Cell[12062, 402, 106, 2, 47, "Print"],
Cell[12171, 406, 53, 1, 47, "Print"],
Cell[12227, 409, 303, 4, 83, "Print"],
Cell[12533, 415, 54, 1, 47, "Print"],
Cell[12590, 418, 303, 4, 83, "Print"],
Cell[12896, 424, 54, 1, 47, "Print"],
Cell[12953, 427, 303, 4, 83, "Print"],
Cell[13259, 433, 102, 2, 47, "Print"],
Cell[13364, 437, 105, 2, 47, "Print"],
Cell[13472, 441, 748, 11, 188, "Print"],
Cell[14223, 454, 106, 2, 47, "Print"],
Cell[14332, 458, 738, 11, 188, "Print"],
Cell[15073, 471, 105, 2, 47, "Print"],
Cell[15181, 475, 101, 2, 47, "Print"],
Cell[15285, 479, 106, 2, 47, "Print"],
Cell[15394, 483, 102, 2, 47, "Print"],
Cell[15499, 487, 34, 1, 47, "Print"],
Cell[15536, 490, 226, 4, 47, "Print"],
Cell[15765, 496, 78, 1, 47, "Print"],
Cell[15846, 499, 104, 2, 47, "Print"],
Cell[15953, 503, 104, 2, 47, "Print"],
Cell[16060, 507, 88, 1, 47, "Print"],
Cell[16151, 510, 85, 1, 47, "Print"],
Cell[16239, 513, 372, 5, 83, "Print"],
Cell[16614, 520, 85, 1, 47, "Print"],
Cell[16702, 523, 372, 5, 83, "Print"],
Cell[17077, 530, 106, 2, 47, "Print"],
Cell[17186, 534, 88, 1, 47, "Print"],
Cell[17277, 537, 82, 1, 47, "Print"],
Cell[17362, 540, 58, 1, 47, "Print"],
Cell[17423, 543, 530, 11, 81, "Print"],
Cell[17956, 556, 102, 2, 47, "Print"],
Cell[18061, 560, 57, 1, 47, "Print"],
Cell[18121, 563, 226, 7, 71, "Print"],
Cell[18350, 572, 255, 5, 47, "Print"],
Cell[18608, 579, 103, 2, 47, "Print"],
Cell[18714, 583, 76, 1, 47, "Print"],
Cell[18793, 586, 39, 1, 47, "Print"],
Cell[18835, 589, 530, 11, 81, "Print"],
Cell[19368, 602, 106, 2, 47, "Print"],
Cell[19477, 606, 80, 1, 47, "Print"],
Cell[19560, 609, 41, 1, 47, "Print"],
Cell[19604, 612, 82, 1, 48, "Print"],
Cell[19689, 615, 80, 1, 47, "Print"],
Cell[19772, 618, 41, 1, 47, "Print"],
Cell[19816, 621, 154, 2, 48, "Print"],
Cell[19973, 625, 80, 1, 47, "Print"],
Cell[20056, 628, 41, 1, 47, "Print"],
Cell[20100, 631, 37, 1, 47, "Print"],
Cell[20140, 634, 80, 1, 47, "Print"],
Cell[20223, 637, 41, 1, 47, "Print"],
Cell[20267, 640, 86, 1, 48, "Print"],
Cell[20356, 643, 106, 2, 47, "Print"],
Cell[20465, 647, 88, 1, 47, "Print"],
Cell[20556, 650, 63, 1, 47, "Print"],
Cell[20622, 653, 58, 1, 47, "Print"],
Cell[20683, 656, 530, 11, 81, "Print"],
Cell[21216, 669, 102, 2, 47, "Print"],
Cell[21321, 673, 57, 1, 47, "Print"],
Cell[21381, 676, 226, 7, 71, "Print"],
Cell[21610, 685, 255, 5, 47, "Print"],
Cell[21868, 692, 103, 2, 47, "Print"],
Cell[21974, 696, 76, 1, 47, "Print"],
Cell[22053, 699, 39, 1, 47, "Print"],
Cell[22095, 702, 530, 11, 81, "Print"],
Cell[22628, 715, 106, 2, 47, "Print"],
Cell[22737, 719, 80, 1, 47, "Print"],
Cell[22820, 722, 41, 1, 47, "Print"],
Cell[22864, 725, 82, 1, 48, "Print"],
Cell[22949, 728, 80, 1, 47, "Print"],
Cell[23032, 731, 41, 1, 47, "Print"],
Cell[23076, 734, 154, 2, 48, "Print"],
Cell[23233, 738, 80, 1, 47, "Print"],
Cell[23316, 741, 41, 1, 47, "Print"],
Cell[23360, 744, 37, 1, 47, "Print"],
Cell[23400, 747, 80, 1, 47, "Print"],
Cell[23483, 750, 41, 1, 47, "Print"],
Cell[23527, 753, 86, 1, 48, "Print"],
Cell[23616, 756, 104, 2, 47, "Print"],
Cell[23723, 760, 103, 2, 47, "Print"],
Cell[23829, 764, 104, 2, 47, "Print"],
Cell[23936, 768, 104, 2, 47, "Print"],
Cell[24043, 772, 84, 1, 47, "Print"],
Cell[24130, 775, 64, 1, 47, "Print"],
Cell[24197, 778, 562, 8, 153, "Print"],
Cell[24762, 788, 85, 1, 47, "Print"],
Cell[24850, 791, 64, 1, 47, "Print"],
Cell[24917, 794, 839, 12, 222, "Print"],
Cell[25759, 808, 85, 1, 47, "Print"],
Cell[25847, 811, 64, 1, 47, "Print"],
Cell[25914, 814, 461, 7, 118, "Print"],
Cell[26378, 823, 85, 1, 47, "Print"],
Cell[26466, 826, 64, 1, 47, "Print"],
Cell[26533, 829, 562, 8, 153, "Print"],
Cell[27098, 839, 105, 2, 47, "Print"],
Cell[27206, 843, 105, 2, 47, "Print"],
Cell[27314, 847, 87, 1, 47, "Print"],
Cell[27404, 850, 78, 1, 47, "Print"],
Cell[27485, 853, 51, 1, 47, "Print"],
Cell[27539, 856, 179, 3, 76, "Print"],
Cell[27721, 861, 87, 1, 47, "Print"],
Cell[27811, 864, 78, 1, 47, "Print"],
Cell[27892, 867, 51, 1, 47, "Print"],
Cell[27946, 870, 179, 3, 76, "Print"],
Cell[28128, 875, 87, 1, 47, "Print"],
Cell[28218, 878, 78, 1, 47, "Print"],
Cell[28299, 881, 51, 1, 47, "Print"],
Cell[28353, 884, 179, 3, 76, "Print"],
Cell[28535, 889, 87, 1, 47, "Print"],
Cell[28625, 892, 78, 1, 47, "Print"],
Cell[28706, 895, 51, 1, 47, "Print"],
Cell[28760, 898, 179, 3, 76, "Print"],
Cell[28942, 903, 103, 2, 47, "Print"],
Cell[29048, 907, 103, 2, 47, "Print"],
Cell[29154, 911, 103, 2, 47, "Print"],
Cell[29260, 915, 106, 2, 47, "Print"],
Cell[29369, 919, 77, 1, 47, "Print"],
Cell[29449, 922, 123, 2, 48, "Print"],
Cell[29575, 926, 77, 1, 47, "Print"],
Cell[29655, 929, 123, 2, 48, "Print"],
Cell[29781, 933, 106, 2, 47, "Print"],
Cell[29890, 937, 148, 2, 81, "Print"],
Cell[30041, 941, 99, 2, 47, "Print"],
Cell[30143, 945, 39, 1, 47, "Print"],
Cell[30185, 948, 123, 2, 77, "Print"],
Cell[30311, 952, 104, 2, 47, "Print"],
Cell[30418, 956, 100, 2, 47, "Print"],
Cell[30521, 960, 39, 1, 47, "Print"],
Cell[30563, 963, 123, 2, 77, "Print"],
Cell[30689, 967, 104, 2, 47, "Print"],
Cell[30796, 971, 106, 2, 47, "Print"],
Cell[30905, 975, 148, 2, 81, "Print"],
Cell[31056, 979, 77, 1, 47, "Print"],
Cell[31136, 982, 82, 1, 47, "Print"],
Cell[31221, 985, 100, 2, 47, "Print"],
Cell[31324, 989, 96, 2, 47, "Print"],
Cell[31423, 993, 90, 1, 47, "Print"],
Cell[31516, 996, 77, 1, 47, "Print"],
Cell[31596, 999, 89, 1, 47, "Print"],
Cell[31688, 1002, 77, 1, 47, "Print"],
Cell[31768, 1005, 73, 1, 47, "Print"],
Cell[31844, 1008, 98, 2, 47, "Print"],
Cell[31945, 1012, 98, 2, 47, "Print"],
Cell[32046, 1016, 102, 2, 47, "Print"],
Cell[32151, 1020, 97, 2, 47, "Print"],
Cell[32251, 1024, 77, 1, 47, "Print"],
Cell[32331, 1027, 82, 1, 47, "Print"],
Cell[32416, 1030, 91, 1, 47, "Print"],
Cell[32510, 1033, 96, 2, 47, "Print"],
Cell[32609, 1037, 80, 1, 47, "Print"],
Cell[32692, 1040, 106, 2, 47, "Print"],
Cell[32801, 1044, 101, 2, 47, "Print"],
Cell[32905, 1048, 93, 1, 47, "Print"],
Cell[33001, 1051, 61, 1, 47, "Print"],
Cell[33065, 1054, 100, 2, 47, "Print"],
Cell[33168, 1058, 74, 1, 47, "Print"],
Cell[33245, 1061, 34, 1, 47, "Print"],
Cell[33282, 1064, 196, 4, 47, "Print"],
Cell[33481, 1070, 51, 1, 47, "Print"],
Cell[33535, 1073, 93, 1, 47, "Print"],
Cell[33631, 1076, 106, 2, 47, "Print"],
Cell[33740, 1080, 1151, 34, 148, "Print"],
Cell[34894, 1116, 696, 19, 114, "Print"],
Cell[35593, 1137, 105, 2, 47, "Print"],
Cell[35701, 1141, 39, 1, 47, "Print"],
Cell[35743, 1144, 909, 16, 127, "Print"],
Cell[36655, 1162, 105, 2, 47, "Print"],
Cell[36763, 1166, 669, 19, 114, "Print"],
Cell[37435, 1187, 55, 1, 47, "Print"],
Cell[37493, 1190, 41, 1, 47, "Print"],
Cell[37537, 1193, 166, 2, 82, "Print"],
Cell[37706, 1197, 55, 1, 47, "Print"],
Cell[37764, 1200, 41, 1, 47, "Print"],
Cell[37808, 1203, 235, 3, 82, "Print"],
Cell[38046, 1208, 55, 1, 47, "Print"],
Cell[38104, 1211, 41, 1, 47, "Print"],
Cell[38148, 1214, 123, 2, 73, "Print"],
Cell[38274, 1218, 55, 1, 47, "Print"],
Cell[38332, 1221, 41, 1, 47, "Print"],
Cell[38376, 1224, 187, 3, 82, "Print"],
Cell[38566, 1229, 105, 2, 47, "Print"],
Cell[38674, 1233, 696, 19, 114, "Print"],
Cell[39373, 1254, 105, 2, 47, "Print"],
Cell[39481, 1258, 39, 1, 47, "Print"],
Cell[39523, 1261, 909, 16, 127, "Print"],
Cell[40435, 1279, 105, 2, 47, "Print"],
Cell[40543, 1283, 669, 19, 114, "Print"],
Cell[41215, 1304, 55, 1, 47, "Print"],
Cell[41273, 1307, 41, 1, 47, "Print"],
Cell[41317, 1310, 166, 2, 82, "Print"],
Cell[41486, 1314, 55, 1, 47, "Print"],
Cell[41544, 1317, 41, 1, 47, "Print"],
Cell[41588, 1320, 235, 3, 82, "Print"],
Cell[41826, 1325, 55, 1, 47, "Print"],
Cell[41884, 1328, 41, 1, 47, "Print"],
Cell[41928, 1331, 123, 2, 73, "Print"],
Cell[42054, 1335, 55, 1, 47, "Print"],
Cell[42112, 1338, 41, 1, 47, "Print"],
Cell[42156, 1341, 187, 3, 82, "Print"],
Cell[42346, 1346, 103, 2, 47, "Print"],
Cell[42452, 1350, 103, 2, 47, "Print"],
Cell[42558, 1354, 148, 2, 81, "Print"],
Cell[42709, 1358, 79, 1, 47, "Print"],
Cell[42791, 1361, 70, 1, 47, "Print"],
Cell[42864, 1364, 27117, 359, 249, "Print"],
Cell[69984, 1725, 98, 2, 47, "Print"],
Cell[70085, 1729, 91, 1, 47, "Print"],
Cell[70179, 1732, 65, 1, 47, "Print"],
Cell[70247, 1735, 98, 2, 47, "Print"],
Cell[70348, 1739, 78, 1, 47, "Print"],
Cell[70429, 1742, 99, 2, 47, "Print"],
Cell[70531, 1746, 62, 1, 47, "Print"],
Cell[70596, 1749, 73, 1, 47, "Print"],
Cell[70672, 1752, 83, 1, 47, "Print"],
Cell[70758, 1755, 106, 2, 47, "Print"],
Cell[70867, 1759, 269, 5, 47, "Print"],
Cell[71139, 1766, 110, 2, 47, "Print"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

